##############################################################
# dsConfig is the library included in each TV datastructures
##############################################################

dsConfig = COA
dsConfig.10 = CASE
dsConfig.10 {
	key.field = field_auto_header_switch
	default = LOAD_REGISTER
	default.autoMainHeadline = {$autoMainHeadlineDefault}
	1 = LOAD_REGISTER
	1.autoMainHeadline = 1
	2 = LOAD_REGISTER
	2.autoMainHeadline = 0
}
dsConfig.20 = CASE
dsConfig.20 {
	key.field = field_feature_bleed_switch
	default = CASE
	default {
		key = {$featureBleedDefault}
		default = LOAD_REGISTER
		default {
			featureClass = none
			featureLeftPadding = 0
			featureRightPadding = 0
		}
		1 = LOAD_REGISTER
		1 {
			featureClass = bleed
			featureLeftPadding = {$featureLeftPadding}
			featureRightPadding = {$featureRightPadding}
		}
	}
	1 = LOAD_REGISTER
	1 {
		featureClass = bleed
		featureLeftPadding = {$featureLeftPadding}
		featureRightPadding = {$featureRightPadding}
	}
	2 = LOAD_REGISTER
	2 {
		featureClass = none
		featureLeftPadding = 0
		featureRightPadding = 0
	}
}

dsConfig.generatedContent-1.contentSource = {$generatedContent-1.source}
dsConfig.generatedContent-2.contentSource = {$generatedContent-2.source}

##############################################################
# containerWidth is the library used to supply the main container
# widths to the data structures. The actual values are supplied
# by constants whose values are set within each skin
##############################################################

containerWidth {
	f1a {
		feature = {$containerWidth.f1a.feature}
		contentBlock-1 = {$containerWidth.f1a.contentBlock-1}
	}
	f1b {
		feature = {$containerWidth.f1b.feature}
		contentBlock-1 = {$containerWidth.f1b.contentBlock-1}
	}
	f1c {
		feature = {$containerWidth.f1c.feature}
		contentBlock-1 = {$containerWidth.f1c.contentBlock-1}
	}
	f1d {
		feature = {$containerWidth.f1d.feature}
		contentBlock-1 = {$containerWidth.f1d.contentBlock-1}
		generatedContent-1 = {$containerWidth.f1d.generatedContent-1}
	}
	f1e {
		feature = {$containerWidth.f1e.feature}
		contentBlock-1 = {$containerWidth.f1e.contentBlock-1}
		generatedContent-2 = {$containerWidth.f1e.generatedContent-2}
	}
	f1f {
		feature = {$containerWidth.f1f.feature}
		contentBlock-1 = {$containerWidth.f1f.contentBlock-1}
		generatedContent-1 = {$containerWidth.f1f.generatedContent-1}
		generatedContent-2 = {$containerWidth.f1f.generatedContent-2}
	}
	f2a {
		feature = {$containerWidth.f2a.feature}
		contentBlock-1 = {$containerWidth.f2a.contentBlock-1}
		contentBlock-2 = {$containerWidth.f2a.contentBlock-2}
	}
	f2b {
		feature = {$containerWidth.f2b.feature}
		contentBlock-1 = {$containerWidth.f2b.contentBlock-1}
		contentBlock-2 = {$containerWidth.f2b.contentBlock-2}
	}
	f2c {
		feature = {$containerWidth.f2c.feature}
		contentBlock-1 = {$containerWidth.f2c.contentBlock-1}
		contentBlock-2 = {$containerWidth.f2c.contentBlock-2}
	}
	f2d {
		feature = {$containerWidth.f2d.feature}
		contentBlock-1 = {$containerWidth.f2d.contentBlock-1}
		contentBlock-2 = {$containerWidth.f2d.contentBlock-2}
		generatedContent-1 = {$containerWidth.f2d.generatedContent-1}
	}
	f2e {
		feature = {$containerWidth.f2e.feature}
		contentBlock-1 = {$containerWidth.f2e.contentBlock-1}
		contentBlock-2 = {$containerWidth.f2e.contentBlock-2}
		generatedContent-2 = {$containerWidth.f2e.generatedContent-2}
	}
	f3a {
		feature = {$containerWidth.f3a.feature}
		contentBlock-1 = {$containerWidth.f3a.contentBlock-1}
		contentBlock-2 = {$containerWidth.f3a.contentBlock-2}
		contentBlock-3 = {$containerWidth.f3a.contentBlock-3}
	}
	f3b {
		feature = {$containerWidth.f3b.feature}
		contentBlock-1 = {$containerWidth.f3b.contentBlock-1}
		contentBlock-2 = {$containerWidth.f3b.contentBlock-2}
		contentBlock-3 = {$containerWidth.f3b.contentBlock-3}
	}
	f3c {
		feature = {$containerWidth.f3c.feature}
		contentBlock-1 = {$containerWidth.f3c.contentBlock-1}
		contentBlock-2 = {$containerWidth.f3c.contentBlock-2}
		contentBlock-3 = {$containerWidth.f3c.contentBlock-3}
	}
	f3d {
		feature = {$containerWidth.f3d.feature}
		contentBlock-1 = {$containerWidth.f3d.contentBlock-1}
		contentBlock-2 = {$containerWidth.f3d.contentBlock-2}
		contentBlock-3 = {$containerWidth.f3d.contentBlock-3}
	}
}



##############################################################
# moduleGroupSetup is the library used to load the register
# with the various values needed by the module groups. The 
# default values supplied by the the skins via constants
##############################################################

### Setup for Modules

moduleGroupSetup = COA
moduleGroupSetup.10 = LOAD_REGISTER
moduleGroupSetup.10 {
	moduleGutter = {$globalGutter}
	moduleBodyWrapBorderWidth1 = {$moduleBodyWrapBorderWidth}
	moduleBodyTopBuffer1 = {$moduleBodyTopBuffer}
	moduleBodyLeftBuffer1 = {$moduleBodyLeftBuffer}
	moduleBodyRightBuffer1 = {$moduleBodyRightBuffer}
	moduleBodyBottomBuffer1 = {$moduleBodyBottomBuffer}
	moduleBodyWrapBorderWidth2 = {$moduleBodyWrapBorderWidth}
	moduleBodyTopBuffer2 = {$moduleBodyTopBuffer}
	moduleBodyLeftBuffer2 = {$moduleBodyLeftBuffer}
	moduleBodyRightBuffer2 = {$moduleBodyRightBuffer}
	moduleBodyBottomBuffer2 = {$moduleBodyBottomBuffer}
	moduleBodyWrapBorderWidth3 = {$moduleBodyWrapBorderWidth}
	moduleBodyTopBuffer3 = {$moduleBodyTopBuffer}
	moduleBodyLeftBuffer3 = {$moduleBodyLeftBuffer}
	moduleBodyRightBuffer3 = {$moduleBodyRightBuffer}
	moduleBodyBottomBuffer3 = {$moduleBodyBottomBuffer}
	moduleBodyWrapBorderWidth4 = {$moduleBodyWrapBorderWidth}
	moduleBodyTopBuffer4 = {$moduleBodyTopBuffer}
	moduleBodyLeftBuffer4 = {$moduleBodyLeftBuffer}
	moduleBodyRightBuffer4 = {$moduleBodyRightBuffer}
	moduleBodyBottomBuffer4 = {$moduleBodyBottomBuffer}
	graphicHeaderMod1.cObject < graphicHeaderMod1
	graphicHeaderMod2.cObject < graphicHeaderMod2
	graphicHeaderMod3.cObject < graphicHeaderMod3
	graphicHeaderMod4.cObject < graphicHeaderMod4
}

moduleGroupSetup.15 = CASE
moduleGroupSetup.15 {
	key = {$moduleFooterTotalHeight}
	default = LOAD_REGISTER
	default {
		renderedModuleFooter = <div class="moduleFooter"><span>&nbsp;</span></div>
		renderedModuleFooter1.data = register:renderedModuleFooter
	 	renderedModuleFooter2.data = register:renderedModuleFooter
		renderedModuleFooter3.data = register:renderedModuleFooter
	 	renderedModuleFooter4.data = register:renderedModuleFooter
	}
	0 = LOAD_REGISTER
	0 {
		renderedModuleFooter = 
	}
}

moduleGroupSetup.20 = CASE
moduleGroupSetup.20 {
	key.field = field_module_1_frame
	default = CASE
	default {
		key.field = field_module_1_show_title
		default = CASE
		default {
			key = {$showModuleTitleDefault}
			default = LOAD_REGISTER
			default {
				renderedModuleHeader1.field = field_module_1_title
				renderedModuleHeader1.parseFunc < lib.parseFunc
				renderedModuleHeader1.dataWrap = <h3 class="moduleHeader"><span class="moduleHeaderInnerWrap"><span {register:graphicHeaderMod1}>|&nbsp;</span></span></h3>
				classModule1 = module module-1
			}
			0 = LOAD_REGISTER
			0 {
				renderedModuleHeader1 = <h3 class="moduleHeader moduleHeaderNoTitle"><span class="moduleHeaderInnerWrap">&nbsp;</span></h3>
				classModule1 = module module-1
			}
		}
		1 = LOAD_REGISTER
		1 {
			renderedModuleHeader1.field = field_module_1_title
			renderedModuleHeader1.parseFunc < lib.parseFunc
			renderedModuleHeader1.dataWrap = <h3 class="moduleHeader"><span class="moduleHeaderInnerWrap"><span {register:graphicHeaderMod1}>|&nbsp;</span></span></h3>
			classModule1 = module module-1
		}
		2 = LOAD_REGISTER
		2 {
			renderedModuleHeader1 = <h3 class="moduleHeader moduleHeaderNoTitle"><span class="moduleHeaderInnerWrap">&nbsp;</span></h3>
			classModule1 = module module-1
		}
	}
	1 = LOAD_REGISTER
	1 {
		renderedModuleHeader1 = 
		renderedModuleFooter1 =
		classModule1 = module module-1 unframed
		moduleBodyWrapBorderWidth1 = 0
		moduleBodyTopBuffer1 = 0
		moduleBodyLeftBuffer1 = 0
		moduleBodyRightBuffer1 = 0
		moduleBodyBottomBuffer1 = 0
	}
}

moduleGroupSetup.25 = CASE
moduleGroupSetup.25 {
	key.field = field_module_2_frame
	default = CASE
	default {
		key.field = field_module_2_show_title
		default = CASE
		default {
			key = {$showModuleTitleDefault}
			default = LOAD_REGISTER
			default {
				renderedModuleHeader2.field = field_module_2_title
				renderedModuleHeader2.parseFunc < lib.parseFunc
				renderedModuleHeader2.dataWrap = <h3 class="moduleHeader"><span class="moduleHeaderInnerWrap"><span {register:graphicHeaderMod2}>|&nbsp;</span></span></h3>
				classModule2 = module module-2
			}
			0 = LOAD_REGISTER
			0 {
				renderedModuleHeader2 = <h3 class="moduleHeader moduleHeaderNoTitle"><span class="moduleHeaderInnerWrap">&nbsp;</span></h3>
				classModule2 = module module-2
			}
		}
		1 = LOAD_REGISTER
		1 {
			renderedModuleHeader2.field = field_module_2_title
			renderedModuleHeader2.parseFunc < lib.parseFunc
			renderedModuleHeader2.dataWrap = <h3 class="moduleHeader"><span class="moduleHeaderInnerWrap"><span {register:graphicHeaderMod2}>|&nbsp;</span></span></h3>
			classModule2 = module module-2
		}
		2 = LOAD_REGISTER
		2 {
			renderedModuleHeader2 = <h3 class="moduleHeader moduleHeaderNoTitle"><span class="moduleHeaderInnerWrap">&nbsp;</span></h3>
			classModule2 = module module-2
		}
	}
	1 = LOAD_REGISTER
	1 {
		renderedModuleHeader2 = 
		renderedModuleFooter2 =
		classModule2 = module module-2 unframed
		moduleBodyWrapBorderWidth2 = 0
		moduleBodyTopBuffer2 = 0
		moduleBodyLeftBuffer2 = 0
		moduleBodyRightBuffer2 = 0
		moduleBodyBottomBuffer2 = 0
	}
}

moduleGroupSetup.30 = CASE
moduleGroupSetup.30 {
	key.field = field_module_3_frame
	default = CASE
	default {
		key.field = field_module_3_show_title
		default = CASE
		default {
			key = {$showModuleTitleDefault}
			default = LOAD_REGISTER
			default {
				renderedModuleHeader3.field = field_module_3_title
				renderedModuleHeader3.parseFunc < lib.parseFunc
				renderedModuleHeader3.dataWrap = <h3 class="moduleHeader"><span class="moduleHeaderInnerWrap"><span {register:graphicHeaderMod3}>|&nbsp;</span></span></h3>
				classModule3 = module module-3
			}
			0 = LOAD_REGISTER
			0 {
				renderedModuleHeader3 = <h3 class="moduleHeader moduleHeaderNoTitle"><span class="moduleHeaderInnerWrap">&nbsp;</span></h3>
				classModule3 = module module-3
			}
		}
		1 = LOAD_REGISTER
		1 {
			renderedModuleHeader3.field = field_module_3_title
			renderedModuleHeader3.parseFunc < lib.parseFunc
			renderedModuleHeader3.dataWrap = <h3 class="moduleHeader"><span class="moduleHeaderInnerWrap"><span {register:graphicHeaderMod3}>|&nbsp;</span></span></h3>
			classModule3 = module module-3
		}
		2 = LOAD_REGISTER
		2 {
			renderedModuleHeader3 = <h3 class="moduleHeader moduleHeaderNoTitle"><span class="moduleHeaderInnerWrap">&nbsp;</span></h3>
			classModule3 = module module-3
		}
	}
	1 = LOAD_REGISTER
	1 {
		renderedModuleHeader3 = 
		renderedModuleFooter3 =
		classModule3 = module module-3 unframed
		moduleBodyWrapBorderWidth3 = 0
		moduleBodyTopBuffer3 = 0
		moduleBodyLeftBuffer3 = 0
		moduleBodyRightBuffer3 = 0
		moduleBodyBottomBuffer3 = 0
	}
}


moduleGroupSetup.35 = CASE
moduleGroupSetup.35 {
	key.field = field_module_4_frame
	default = CASE
	default {
		key.field = field_module_4_show_title
		default = CASE
		default {
			key = {$showModuleTitleDefault}
			default = LOAD_REGISTER
			default {
				renderedModuleHeader4.field = field_module_4_title
				renderedModuleHeader4.parseFunc < lib.parseFunc
				renderedModuleHeader4.dataWrap = <h3 class="moduleHeader"><span class="moduleHeaderInnerWrap"><span {register:graphicHeaderMod4}>|&nbsp;</span></span></h3>
				classModule4 = module module-4
			}
			0 = LOAD_REGISTER
			0 {
				renderedModuleHeader4 = <h3 class="moduleHeader moduleHeaderNoTitle"><span class="moduleHeaderInnerWrap">&nbsp;</span></h3>
				classModule4 = module module-4
			}
		}
		1 = LOAD_REGISTER
		1 {
			renderedModuleHeader4.field = field_module_4_title
			renderedModuleHeader4.parseFunc < lib.parseFunc
			renderedModuleHeader4.dataWrap = <h3 class="moduleHeader"><span class="moduleHeaderInnerWrap"><span {register:graphicHeaderMod4}>|&nbsp;</span></span></h3>
			classModule4 = module module-4
		}
		2 = LOAD_REGISTER
		2 {
			renderedModuleHeader4 = <h3 class="moduleHeader moduleHeaderNoTitle"><span class="moduleHeaderInnerWrap">&nbsp;</span></h3>
			classModule4 = module module-4
		}
	}
	1 = LOAD_REGISTER
	1 {
		renderedModuleHeader4 = 
		renderedModuleFooter4 =
		classModule4 = module module-4 unframed
		moduleBodyWrapBorderWidth4 = 0
		moduleBodyTopBuffer4 = 0
		moduleBodyLeftBuffer4 = 0
		moduleBodyRightBuffer4 = 0
		moduleBodyBottomBuffer4 = 0
	}
}

moduleGroupSetup.40 = CASE
moduleGroupSetup.40 {
	key.data = register:moduleDistribution
	default = LOAD_REGISTER
	default {
		tempModuleWidth.data = register:containerWidth
		tempModuleWidth.dataWrap = (|-{register:moduleGutter})/2
		moduleWidth1.data = register:tempModuleWidth
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth
		moduleWidth2.prioriCalc = intval
	}
	11 = LOAD_REGISTER
	11 {
		moduleWidth1.data = register:containerWidth
	}
	1323 = LOAD_REGISTER
	1323 {
		tempModuleWidth1.data = register:containerWidth
		tempModuleWidth1.dataWrap = (|-({register:moduleGutter}*2))/3
		tempModuleWidth2.data = register:containerWidth
		tempModuleWidth2.dataWrap = (((|-({register:moduleGutter}*2))/3)*2)+{register:moduleGutter}
		moduleWidth1.data = register:tempModuleWidth1
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth2
		moduleWidth2.prioriCalc = intval
	}
	2313 = LOAD_REGISTER
	2313 {
		tempModuleWidth1.data = register:containerWidth
		tempModuleWidth1.dataWrap = (((|-({register:moduleGutter}*2))/3)*2)+{register:moduleGutter}
		tempModuleWidth2.data = register:containerWidth
		tempModuleWidth2.dataWrap = (|-({register:moduleGutter}*2))/3
		moduleWidth1.data = register:tempModuleWidth1
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth2
		moduleWidth2.prioriCalc = intval
	}
	3414 = LOAD_REGISTER
	3414 {
		tempModuleWidth1.data = register:containerWidth
		tempModuleWidth1.dataWrap = (((|-({register:moduleGutter}*3))/4)*3)+({register:moduleGutter}*2)
		tempModuleWidth2.data = register:containerWidth
		tempModuleWidth2.dataWrap = (|-({register:moduleGutter}*3))/4
		moduleWidth1.data = register:tempModuleWidth1
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth2
		moduleWidth2.prioriCalc = intval
	}
	1434 = LOAD_REGISTER
	1434 {
		tempModuleWidth1.data = register:containerWidth
		tempModuleWidth1.dataWrap = (|-({register:moduleGutter}*3))/4
		tempModuleWidth2.data = register:containerWidth
		tempModuleWidth2.dataWrap = (((|-({register:moduleGutter}*3))/4)*3)+({register:moduleGutter}*2)
		moduleWidth1.data = register:tempModuleWidth1
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth2
		moduleWidth2.prioriCalc = intval
	}
	131313 = LOAD_REGISTER
	131313 {
		tempModuleWidth.data = register:containerWidth
		tempModuleWidth.dataWrap = (|-({register:moduleGutter}*2))/3
		moduleWidth1.data = register:tempModuleWidth
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth
		moduleWidth2.prioriCalc = intval
		moduleWidth3.data = register:tempModuleWidth
		moduleWidth3.prioriCalc = intval
	}
	121414 = LOAD_REGISTER
	121414 {
		tempModuleWidth1.data = register:containerWidth
		tempModuleWidth1.dataWrap = ((|-({register:moduleGutter}*3))/2)+{register:moduleGutter}
		tempModuleWidth2.data = register:containerWidth
		tempModuleWidth2.dataWrap = (|-({register:moduleGutter}*3))/4
		tempModuleWidth3.data = register:containerWidth
		tempModuleWidth3.dataWrap = (|-({register:moduleGutter}*3))/4
		moduleWidth1.data = register:tempModuleWidth1
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth2
		moduleWidth2.prioriCalc = intval
		moduleWidth3.data = register:tempModuleWidth3
		moduleWidth3.prioriCalc = intval
	}
	141214 = LOAD_REGISTER
	141214 {
		tempModuleWidth1.data = register:containerWidth
		tempModuleWidth1.dataWrap = (|-({register:moduleGutter}*3))/4
		tempModuleWidth2.data = register:containerWidth
		tempModuleWidth2.dataWrap = ((|-({register:moduleGutter}*3))/2)+{register:moduleGutter}
		tempModuleWidth3.data = register:containerWidth
		tempModuleWidth3.dataWrap = (|-({register:moduleGutter}*3))/4
		moduleWidth1.data = register:tempModuleWidth1
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth2
		moduleWidth2.prioriCalc = intval
		moduleWidth3.data = register:tempModuleWidth3
		moduleWidth3.prioriCalc = intval
	}
	141412 = LOAD_REGISTER
	141412 {
		tempModuleWidth1.data = register:containerWidth
		tempModuleWidth1.dataWrap = (|-({register:moduleGutter}*3))/4
		tempModuleWidth2.data = register:containerWidth
		tempModuleWidth2.dataWrap = (|-({register:moduleGutter}*3))/4
		tempModuleWidth3.data = register:containerWidth
		tempModuleWidth3.dataWrap = ((|-({register:moduleGutter}*3))/2)+{register:moduleGutter}
		moduleWidth1.data = register:tempModuleWidth1
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth2
		moduleWidth2.prioriCalc = intval
		moduleWidth3.data = register:tempModuleWidth3
		moduleWidth3.prioriCalc = intval
	}
	14141414 = LOAD_REGISTER
	14141414 {
		tempModuleWidth.data = register:containerWidth
		tempModuleWidth.dataWrap = (|-({register:moduleGutter}*3))/4
		moduleWidth1.data = register:tempModuleWidth
		moduleWidth1.prioriCalc = intval
		moduleWidth2.data = register:tempModuleWidth
		moduleWidth2.prioriCalc = intval
		moduleWidth3.data = register:tempModuleWidth
		moduleWidth3.prioriCalc = intval
		moduleWidth4.data = register:tempModuleWidth
		moduleWidth4.prioriCalc = intval
	}
}



### Sets the width of module content area

moduleGroupSetup.50 = COA
moduleGroupSetup.50.10 = CASE
moduleGroupSetup.50.10 {
	key.field = field_module_1_bleed
	default = LOAD_REGISTER
	default {
		tempBodyWidthMod1.data = register:moduleWidth1
		tempBodyWidthMod1.dataWrap = |-({register:moduleBodyLeftBuffer1}+{register:moduleBodyRightBuffer1})-(2*{register:moduleBodyWrapBorderWidth1})
		bodyWidthMod1.data = register:tempBodyWidthMod1
		bodyWidthMod1.prioriCalc = intval
		moduleBodyClass1 = moduleBody
	}
	1 = LOAD_REGISTER
	1 {
		tempBodyWidthMod1.data = register:moduleWidth1
		tempBodyWidthMod1.dataWrap = |-(2*{register:moduleBodyWrapBorderWidth1})
		bodyWidthMod1.data = register:tempBodyWidthMod1
		bodyWidthMod1.prioriCalc = intval
		moduleBodyTopBuffer1 = 0
		moduleBodyLeftBuffer1 = 0
		moduleBodyRightBuffer1 = 0
		moduleBodyBottomBuffer1 = 0
		moduleBodyClass1 = moduleBody moduleBodyBleed
	}
}
moduleGroupSetup.50.20 = CASE
moduleGroupSetup.50.20 {
	key.field = field_module_2_bleed
	default = LOAD_REGISTER
	default {
		tempBodyWidthMod2.data = register:moduleWidth2
		tempBodyWidthMod2.dataWrap = |-({register:moduleBodyLeftBuffer2}+{register:moduleBodyRightBuffer2})-(2*{register:moduleBodyWrapBorderWidth2})
		bodyWidthMod2.data = register:tempBodyWidthMod2
		bodyWidthMod2.prioriCalc = intval
		moduleBodyClass2 = moduleBody
	}
	1 = LOAD_REGISTER
	1 {
		tempBodyWidthMod2.data = register:moduleWidth2
		tempBodyWidthMod2.dataWrap = |-(2*{register:moduleBodyWrapBorderWidth2})
		bodyWidthMod2.data = register:tempBodyWidthMod2
		bodyWidthMod2.prioriCalc = intval
		moduleBodyTopBuffer2 = 0
		moduleBodyLeftBuffer2 = 0
		moduleBodyRightBuffer2 = 0
		moduleBodyBottomBuffer2 = 0
		moduleBodyClass2 = moduleBody moduleBodyBleed
	}
}

moduleGroupSetup.50.30 = CASE
moduleGroupSetup.50.30 {
	key.field = field_module_3_bleed
	default = LOAD_REGISTER
	default {
		tempBodyWidthMod3.data = register:moduleWidth3
		tempBodyWidthMod3.dataWrap = |-({register:moduleBodyLeftBuffer3}+{register:moduleBodyRightBuffer3})-(2*{register:moduleBodyWrapBorderWidth3})
		bodyWidthMod3.data = register:tempBodyWidthMod3
		bodyWidthMod3.prioriCalc = intval
		moduleBodyClass3 = moduleBody
	}
	1 = LOAD_REGISTER
	1 {
		tempBodyWidthMod3.data = register:moduleWidth3
		tempBodyWidthMod3.dataWrap = |-(2*{register:moduleBodyWrapBorderWidth3})
		bodyWidthMod3.data = register:tempBodyWidthMod3
		bodyWidthMod3.prioriCalc = intval
		moduleBodyTopBuffer3 = 0
		moduleBodyLeftBuffer3 = 0
		moduleBodyRightBuffer3 = 0
		moduleBodyBottomBuffer3 = 0
		moduleBodyClass3 = moduleBody moduleBodyBleed
	}
}

moduleGroupSetup.50.40 = CASE
moduleGroupSetup.50.40 {
	key.field = field_module_4_bleed
	default = LOAD_REGISTER
	default {
		tempBodyWidthMod4.data = register:moduleWidth4
		tempBodyWidthMod4.dataWrap = |-({register:moduleBodyLeftBuffer4}+{register:moduleBodyRightBuffer4})-(2*{register:moduleBodyWrapBorderWidth4})
		bodyWidthMod4.data = register:tempBodyWidthMod4
		bodyWidthMod4.prioriCalc = intval
		moduleBodyClass4 = moduleBody
	}
	1 = LOAD_REGISTER
	1 {
		tempBodyWidthMod4.data = register:moduleWidth4
		tempBodyWidthMod4.dataWrap = |-(2*{register:moduleBodyWrapBorderWidth4})
		bodyWidthMod4.data = register:tempBodyWidthMod4
		bodyWidthMod4.prioriCalc = intval
		moduleBodyTopBuffer4 = 0
		moduleBodyLeftBuffer4 = 0
		moduleBodyRightBuffer4 = 0
		moduleBodyBottomBuffer4 = 0
		moduleBodyClass4 = moduleBody moduleBodyBleed
	}
}

##############################################################
# columnGroupSetup is the library used to load the register with
# the various values needed by the column groups. There are default
# values supplied by the the skins via constants
##############################################################

columnGroupSetup = COA
columnGroupSetup.10 = LOAD_REGISTER
columnGroupSetup.10 {
	columnGutter = {$globalGutter}
	columnRuleDefault = {$columnRuleDefault}
}

columnGroupSetup.20 = CASE
columnGroupSetup.20 {
	key.data = register:columnRuleDefault
	default = LOAD_REGISTER
	default.columnGroupDefaultClass = columnGroup
	1 = LOAD_REGISTER
	1.columnGroupDefaultClass = columnGroup columnGroupRule
}
columnGroupSetup.30 = CASE
columnGroupSetup.30 {
	key.field = field_group_rule
	default = LOAD_REGISTER
	default.columnGroupClass.data = register:columnGroupDefaultClass
	1 = LOAD_REGISTER
	1.columnGroupClass = columnGroup columnGroupRule
	2 = LOAD_REGISTER
	2.columnGroupClass = columnGroup
}
columnGroupSetup.40 = CASE
columnGroupSetup.40 {
	key.field = field_column_distribution
	default = LOAD_REGISTER
	default {
		tempColumnWidth.data = register:containerWidth
		tempColumnWidth.dataWrap = (|-{register:columnGutter})/2
		columnWidth1.data = register:tempColumnWidth
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth
		columnWidth2.prioriCalc = intval
	}
	1323 = LOAD_REGISTER
	1323 {
		tempColumnWidth1.data = register:containerWidth
		tempColumnWidth1.dataWrap = (|-({register:columnGutter}*2))/3
		tempColumnWidth2.data = register:containerWidth
		tempColumnWidth2.dataWrap = (((|-({register:columnGutter}*2))/3)*2)+{register:columnGutter}

		columnWidth1.data = register:tempColumnWidth1
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth2
		columnWidth2.prioriCalc = intval
	}
	2313 = LOAD_REGISTER
	2313 {
		tempColumnWidth1.data = register:containerWidth
		tempColumnWidth1.dataWrap = (((|-({register:columnGutter}*2))/3)*2)+{register:columnGutter}
		tempColumnWidth2.data = register:containerWidth
		tempColumnWidth2.dataWrap = (|-({register:columnGutter}*2))/3
		columnWidth1.data = register:tempColumnWidth1
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth2
		columnWidth2.prioriCalc = intval
	}
	3414 = LOAD_REGISTER
	3414 {
		tempColumnWidth1.data = register:containerWidth
		tempColumnWidth1.dataWrap = (((|-({register:columnGutter}*3))/4)*3)+({register:columnGutter}*2)
		tempColumnWidth2.data = register:containerWidth
		tempColumnWidth2.dataWrap = (|-({register:columnGutter}*3))/4
		columnWidth1.data = register:tempColumnWidth1
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth2
		columnWidth2.prioriCalc = intval
	}
	1434 = LOAD_REGISTER
	1434 {
		tempColumnWidth1.data = register:containerWidth
		tempColumnWidth1.dataWrap = (|-({register:columnGutter}*3))/4
		tempColumnWidth2.data = register:containerWidth
		tempColumnWidth2.dataWrap = (((|-({register:columnGutter}*3))/4)*3)+({register:columnGutter}*2)
		columnWidth1.data = register:tempColumnWidth1
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth2
		columnWidth2.prioriCalc = intval
	}
	131313 = LOAD_REGISTER
	131313 {
		tempColumnWidth.data = register:containerWidth
		tempColumnWidth.dataWrap = (|-({register:columnGutter}*2))/3
		columnWidth1.data = register:tempColumnWidth
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth
		columnWidth2.prioriCalc = intval
		columnWidth3.data = register:tempColumnWidth
		columnWidth3.prioriCalc = intval
	}
	121414 = LOAD_REGISTER
	121414 {
		tempColumnWidth1.data = register:containerWidth
		tempColumnWidth1.dataWrap = ((|-({register:columnGutter}*3))/2)+{register:columnGutter}
		tempColumnWidth2.data = register:containerWidth
		tempColumnWidth2.dataWrap = (|-({register:columnGutter}*3))/4
		tempColumnWidth3.data = register:containerWidth
		tempColumnWidth3.dataWrap = (|-({register:columnGutter}*3))/4
		columnWidth1.data = register:tempColumnWidth1
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth2
		columnWidth2.prioriCalc = intval
		columnWidth3.data = register:tempColumnWidth3
		columnWidth3.prioriCalc = intval
	}
	141214 = LOAD_REGISTER
	141214 {
		tempColumnWidth1.data = register:containerWidth
		tempColumnWidth1.dataWrap = (|-({register:columnGutter}*3))/4
		tempColumnWidth2.data = register:containerWidth
		tempColumnWidth2.dataWrap = ((|-({register:columnGutter}*3))/2)+{register:columnGutter}
		tempColumnWidth3.data = register:containerWidth
		tempColumnWidth3.dataWrap = (|-({register:columnGutter}*3))/4
		columnWidth1.data = register:tempColumnWidth1
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth2
		columnWidth2.prioriCalc = intval
		columnWidth3.data = register:tempColumnWidth3
		columnWidth3.prioriCalc = intval
	}
	141412 = LOAD_REGISTER
	141412 {
		tempColumnWidth1.data = register:containerWidth
		tempColumnWidth1.dataWrap = (|-({register:columnGutter}*3))/4
		tempColumnWidth2.data = register:containerWidth
		tempColumnWidth2.dataWrap = (|-({register:columnGutter}*3))/4
		tempColumnWidth3.data = register:containerWidth
		tempColumnWidth3.dataWrap = ((|-({register:columnGutter}*3))/2)+{register:columnGutter}
		columnWidth1.data = register:tempColumnWidth1
		columnWidth1.prioriCalc = intval
		columnWidth2.data = register:tempColumnWidth2
		columnWidth2.prioriCalc = intval
		columnWidth3.data = register:tempColumnWidth3
		columnWidth3.prioriCalc = intval
	}
}

##############################################################
# The following allows for custom header, footer, preCode and
# postCode objects to be written for each template as well as
# global defaults for each
##############################################################

f1a.flagPreCodeHeader = 1
f1a.flagPreCodeHeader.if.isTrue < f1a.preCodeHeader
f1a.evaluatedPreCodeHeader = CASE
f1a.evaluatedPreCodeHeader {
	key < f1a.flagPreCodeHeader
	1 < f1a.preCodeHeader
	default < preCodeHeader
}

f1a.flagHeader = 1
f1a.flagHeader.if.isTrue < f1a.header
f1a.evaluatedHeader = CASE
f1a.evaluatedHeader {
	key < f1a.flagHeader
	1 < f1a.header
	default < header
}

f1a.flagPostCodeHeader = 1
f1a.flagPostCodeHeader.if.isTrue < f1a.postCodeHeader
f1a.evaluatedPostCodeHeader = CASE
f1a.evaluatedPostCodeHeader {
	key < f1a.flagPostCodeHeader
	1 < f1a.postCodeHeader
	default < postCodeHeader
}

f1a.flagPreCodeFeature = 1
f1a.flagPreCodeFeature.if.isTrue < f1a.preCodeFeature
f1a.tempPreCodeFeature = CASE
f1a.tempPreCodeFeature {
	key < f1a.flagPreCodeFeature
	1 < f1a.preCodeFeature
	default < preCodeFeature
}
f1a.evaluatedPreCodeFeature < f1a.tempPreCodeFeature
f1a.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f1a.flagPostCodeFeature = 1
f1a.flagPostCodeFeature.if.isTrue < f1a.postCodeFeature
f1a.tempPostCodeFeature = CASE
f1a.tempPostCodeFeature {
	key < f1a.flagPostCodeFeature
	1 < f1a.postCodeFeature
	default < postCodeFeature
}
f1a.evaluatedPostCodeFeature < f1a.tempPostCodeFeature
f1a.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f1a.flagPreCodeContent = 1
f1a.flagPreCodeContent.if.isTrue < f1a.preCodeContent
f1a.evaluatedPreCodeContent = CASE
f1a.evaluatedPreCodeContent {
	key < f1a.flagPreCodeContent
	1 < f1a.preCodeContent
	default < preCodeContent
}

f1a.flagPreCodeContentBlock-1 = 1
f1a.flagPreCodeContentBlock-1.if.isTrue < f1a.preContentBlock-1
f1a.evaluatedPreCodeContentBlock-1 = CASE
f1a.evaluatedPreCodeContentBlock-1 {
	key < f1a.flagPreCodeContentBlock-1
	1 < f1a.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f1a.flagPostCodeContentBlock-1 = 1
f1a.flagPostCodeContentBlock-1.if.isTrue < f1a.postContentBlock-1
f1a.evaluatedPostContentBlock-1 = CASE
f1a.evaluatedPostContentBlock-1 {
	key < f1a.flagPostCodeContentBlock-1
	1 < f1a.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f1a.flagPreCodeFooter = 1
f1a.flagPreCodeFooter.if.isTrue < f1a.preCodeFooter
f1a.evaluatedPreCodeFooter = CASE
f1a.evaluatedPreCodeFooter {
	key < f1a.flagPreCodeFooter
	1 < f1a.preCodeFooter
	default < preCodeFooter
}


f1a.flagFooter = 1
f1a.flagFooter.if.isTrue < f1a.footer
f1a.evaluatedFooter = CASE
f1a.evaluatedFooter {
	key < f1a.flagFooter
	1 < f1a.footer
	default < footer
}

f1a.flagPostCodeFooter = 1
f1a.flagPostCodeFooter.if.isTrue < f1a.postCodeFooter
f1a.evaluatedPostCodeFooter = CASE
f1a.evaluatedPostCodeFooter {
	key < f1a.flagPostCodeFooter
	1 < f1a.postCodeFooter
	default < postCodeFooter
}

f1b.flagPreCodeHeader = 1
f1b.flagPreCodeHeader.if.isTrue < f1b.preCodeHeader
f1b.evaluatedPreCodeHeader = CASE
f1b.evaluatedPreCodeHeader {
	key < f1b.flagPreCodeHeader
	1 < f1b.preCodeHeader
	default < preCodeHeader
}

f1b.flagHeader = 1
f1b.flagHeader.if.isTrue < f1b.header
f1b.evaluatedHeader = CASE
f1b.evaluatedHeader {
	key < f1b.flagHeader
	1 < f1b.header
	default < header
}

f1b.flagPostCodeHeader = 1
f1b.flagPostCodeHeader.if.isTrue < f1b.postCodeHeader
f1b.evaluatedPostCodeHeader = CASE
f1b.evaluatedPostCodeHeader {
	key < f1b.flagPostCodeHeader
	1 < f1b.postCodeHeader
	default < postCodeHeader
}

f1b.flagPreCodeFeature = 1
f1b.flagPreCodeFeature.if.isTrue < f1b.preCodeFeature
f1b.tempPreCodeFeature = CASE
f1b.tempPreCodeFeature {
	key < f1b.flagPreCodeFeature
	1 < f1b.preCodeFeature
	default < preCodeFeature
}
f1b.evaluatedPreCodeFeature < f1b.tempPreCodeFeature
f1b.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f1b.flagPostCodeFeature = 1
f1b.flagPostCodeFeature.if.isTrue < f1b.postCodeFeature
f1b.tempPostCodeFeature = CASE
f1b.tempPostCodeFeature {
	key < f1b.flagPostCodeFeature
	1 < f1b.postCodeFeature
	default < postCodeFeature
}
f1b.evaluatedPostCodeFeature < f1b.tempPostCodeFeature
f1b.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f1b.flagPreCodeContent = 1
f1b.flagPreCodeContent.if.isTrue < f1b.preCodeContent
f1b.evaluatedPreCodeContent = CASE
f1b.evaluatedPreCodeContent {
	key < f1b.flagPreCodeContent
	1 < f1b.preCodeContent
	default < preCodeContent
}

f1b.flagPreCodeContentBlock-1 = 1
f1b.flagPreCodeContentBlock-1.if.isTrue < f1b.preContentBlock-1
f1b.evaluatedPreCodeContentBlock-1 = CASE
f1b.evaluatedPreCodeContentBlock-1 {
	key < f1b.flagPreCodeContentBlock-1
	1 < f1b.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f1b.flagPostCodeContentBlock-1 = 1
f1b.flagPostCodeContentBlock-1.if.isTrue < f1b.postContentBlock-1
f1b.evaluatedPostContentBlock-1 = CASE
f1b.evaluatedPostContentBlock-1 {
	key < f1b.flagPostCodeContentBlock-1
	1 < f1b.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f1b.flagPreCodeFooter = 1
f1b.flagPreCodeFooter.if.isTrue < f1b.preCodeFooter
f1b.evaluatedPreCodeFooter = CASE
f1b.evaluatedPreCodeFooter {
	key < f1b.flagPreCodeFooter
	1 < f1b.preCodeFooter
	default < preCodeFooter
}


f1b.flagFooter = 1
f1b.flagFooter.if.isTrue < f1b.footer
f1b.evaluatedFooter = CASE
f1b.evaluatedFooter {
	key < f1b.flagFooter
	1 < f1b.footer
	default < footer
}

f1b.flagPostCodeFooter = 1
f1b.flagPostCodeFooter.if.isTrue < f1b.postCodeFooter
f1b.evaluatedPostCodeFooter = CASE
f1b.evaluatedPostCodeFooter {
	key < f1b.flagPostCodeFooter
	1 < f1b.postCodeFooter
	default < postCodeFooter
}

f1c.flagPreCodeHeader = 1
f1c.flagPreCodeHeader.if.isTrue < f1c.preCodeHeader
f1c.evaluatedPreCodeHeader = CASE
f1c.evaluatedPreCodeHeader {
	key < f1c.flagPreCodeHeader
	1 < f1c.preCodeHeader
	default < preCodeHeader
}

f1c.flagHeader = 1
f1c.flagHeader.if.isTrue < f1c.header
f1c.evaluatedHeader = CASE
f1c.evaluatedHeader {
	key < f1c.flagHeader
	1 < f1c.header
	default < header
}

f1c.flagPostCodeHeader = 1
f1c.flagPostCodeHeader.if.isTrue < f1c.postCodeHeader
f1c.evaluatedPostCodeHeader = CASE
f1c.evaluatedPostCodeHeader {
	key < f1c.flagPostCodeHeader
	1 < f1c.postCodeHeader
	default < postCodeHeader
}

f1c.flagPreCodeFeature = 1
f1c.flagPreCodeFeature.if.isTrue < f1c.preCodeFeature
f1c.tempPreCodeFeature = CASE
f1c.tempPreCodeFeature {
	key < f1c.flagPreCodeFeature
	1 < f1c.preCodeFeature
	default < preCodeFeature
}
f1c.evaluatedPreCodeFeature < f1c.tempPreCodeFeature
f1c.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f1c.flagPostCodeFeature = 1
f1c.flagPostCodeFeature.if.isTrue < f1c.postCodeFeature
f1c.tempPostCodeFeature = CASE
f1c.tempPostCodeFeature {
	key < f1c.flagPostCodeFeature
	1 < f1c.postCodeFeature
	default < postCodeFeature
}
f1c.evaluatedPostCodeFeature < f1c.tempPostCodeFeature
f1c.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f1c.flagPreCodeContent = 1
f1c.flagPreCodeContent.if.isTrue < f1c.preCodeContent
f1c.evaluatedPreCodeContent = CASE
f1c.evaluatedPreCodeContent {
	key < f1c.flagPreCodeContent
	1 < f1c.preCodeContent
	default < preCodeContent
}

f1c.flagPreCodeContentBlock-1 = 1
f1c.flagPreCodeContentBlock-1.if.isTrue < f1c.preContentBlock-1
f1c.evaluatedPreCodeContentBlock-1 = CASE
f1c.evaluatedPreCodeContentBlock-1 {
	key < f1c.flagPreCodeContentBlock-1
	1 < f1c.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f1c.flagPostCodeContentBlock-1 = 1
f1c.flagPostCodeContentBlock-1.if.isTrue < f1c.postContentBlock-1
f1c.evaluatedPostContentBlock-1 = CASE
f1c.evaluatedPostContentBlock-1 {
	key < f1c.flagPostCodeContentBlock-1
	1 < f1c.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f1c.flagPreCodeFooter = 1
f1c.flagPreCodeFooter.if.isTrue < f1c.preCodeFooter
f1c.evaluatedPreCodeFooter = CASE
f1c.evaluatedPreCodeFooter {
	key < f1c.flagPreCodeFooter
	1 < f1c.preCodeFooter
	default < preCodeFooter
}


f1c.flagFooter = 1
f1c.flagFooter.if.isTrue < f1c.footer
f1c.evaluatedFooter = CASE
f1c.evaluatedFooter {
	key < f1c.flagFooter
	1 < f1c.footer
	default < footer
}

f1c.flagPostCodeFooter = 1
f1c.flagPostCodeFooter.if.isTrue < f1c.postCodeFooter
f1c.evaluatedPostCodeFooter = CASE
f1c.evaluatedPostCodeFooter {
	key < f1c.flagPostCodeFooter
	1 < f1c.postCodeFooter
	default < postCodeFooter
}

f1d.flagPreCodeHeader = 1
f1d.flagPreCodeHeader.if.isTrue < f1d.preCodeHeader
f1d.evaluatedPreCodeHeader = CASE
f1d.evaluatedPreCodeHeader {
	key < f1d.flagPreCodeHeader
	1 < f1d.preCodeHeader
	default < preCodeHeader
}

f1d.flagHeader = 1
f1d.flagHeader.if.isTrue < f1d.header
f1d.evaluatedHeader = CASE
f1d.evaluatedHeader {
	key < f1d.flagHeader
	1 < f1d.header
	default < header
}

f1d.flagPostCodeHeader = 1
f1d.flagPostCodeHeader.if.isTrue < f1d.postCodeHeader
f1d.evaluatedPostCodeHeader = CASE
f1d.evaluatedPostCodeHeader {
	key < f1d.flagPostCodeHeader
	1 < f1d.postCodeHeader
	default < postCodeHeader
}

f1d.flagPreCodeFeature = 1
f1d.flagPreCodeFeature.if.isTrue < f1d.preCodeFeature
f1d.tempPreCodeFeature = CASE
f1d.tempPreCodeFeature {
	key < f1d.flagPreCodeFeature
	1 < f1d.preCodeFeature
	default < preCodeFeature
}
f1d.evaluatedPreCodeFeature < f1d.tempPreCodeFeature
f1d.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f1d.flagPostCodeFeature = 1
f1d.flagPostCodeFeature.if.isTrue < f1d.postCodeFeature
f1d.tempPostCodeFeature = CASE
f1d.tempPostCodeFeature {
	key < f1d.flagPostCodeFeature
	1 < f1d.postCodeFeature
	default < postCodeFeature
}
f1d.evaluatedPostCodeFeature < f1d.tempPostCodeFeature
f1d.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f1d.flagPreCodeContent = 1
f1d.flagPreCodeContent.if.isTrue < f1d.preCodeContent
f1d.evaluatedPreCodeContent = CASE
f1d.evaluatedPreCodeContent {
	key < f1d.flagPreCodeContent
	1 < f1d.preCodeContent
	default < preCodeContent
}

f1d.flagPreCodeGeneratedContent-1 = 1
f1d.flagPreCodeGeneratedContent-1.if.isTrue < f1d.preCodeGeneratedContent-1
f1d.evaluatedPreCodeGeneratedContent-1 = CASE
f1d.evaluatedPreCodeGeneratedContent-1 {
	key < f1d.flagPreCodeGeneratedContent-1
	1 < f1d.preCodeGeneratedContent-1
	default < preCodeGeneratedContent-1
}

f1d.flagPostCodeGeneratedContent-1 = 1
f1d.flagPostCodeGeneratedContent-1.if.isTrue < f1d.postCodeGeneratedContent-1
f1d.evaluatedPostCodeGeneratedContent-1 = CASE
f1d.evaluatedPostCodeGeneratedContent-1 {
	key < f1d.flagPostCodeGeneratedContent-1
	1 < f1d.postCodeGeneratedContent-1
	default < postCodeGeneratedContent-1
}


f1d.flagPreCodeContentBlock-1 = 1
f1d.flagPreCodeContentBlock-1.if.isTrue < f1d.preContentBlock-1
f1d.evaluatedPreCodeContentBlock-1 = CASE
f1d.evaluatedPreCodeContentBlock-1 {
	key < f1d.flagPreCodeContentBlock-1
	1 < f1d.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f1d.flagPostCodeContentBlock-1 = 1
f1d.flagPostCodeContentBlock-1.if.isTrue < f1d.postContentBlock-1
f1d.evaluatedPostContentBlock-1 = CASE
f1d.evaluatedPostContentBlock-1 {
	key < f1d.flagPostCodeContentBlock-1
	1 < f1d.postCodeContentBlock-1
	default < postCodeContentBlock-1
}

f1d.flagPreCodeFooter = 1
f1d.flagPreCodeFooter.if.isTrue < f1d.preCodeFooter
f1d.evaluatedPreCodeFooter = CASE
f1d.evaluatedPreCodeFooter {
	key < f1d.flagPreCodeFooter
	1 < f1d.preCodeFooter
	default < preCodeFooter
}


f1d.flagFooter = 1
f1d.flagFooter.if.isTrue < f1d.footer
f1d.evaluatedFooter = CASE
f1d.evaluatedFooter {
	key < f1d.flagFooter
	1 < f1d.footer
	default < footer
}

f1d.flagPostCodeFooter = 1
f1d.flagPostCodeFooter.if.isTrue < f1d.postCodeFooter
f1d.evaluatedPostCodeFooter = CASE
f1d.evaluatedPostCodeFooter {
	key < f1d.flagPostCodeFooter
	1 < f1d.postCodeFooter
	default < postCodeFooter
}

f1e.flagPreCodeHeader = 1
f1e.flagPreCodeHeader.if.isTrue < f1e.preCodeHeader
f1e.evaluatedPreCodeHeader = CASE
f1e.evaluatedPreCodeHeader {
	key < f1e.flagPreCodeHeader
	1 < f1e.preCodeHeader
	default < preCodeHeader
}

f1e.flagHeader = 1
f1e.flagHeader.if.isTrue < f1e.header
f1e.evaluatedHeader = CASE
f1e.evaluatedHeader {
	key < f1e.flagHeader
	1 < f1e.header
	default < header
}

f1e.flagPostCodeHeader = 1
f1e.flagPostCodeHeader.if.isTrue < f1e.postCodeHeader
f1e.evaluatedPostCodeHeader = CASE
f1e.evaluatedPostCodeHeader {
	key < f1e.flagPostCodeHeader
	1 < f1e.postCodeHeader
	default < postCodeHeader
}

f1e.flagPreCodeFeature = 1
f1e.flagPreCodeFeature.if.isTrue < f1e.preCodeFeature
f1e.tempPreCodeFeature = CASE
f1e.tempPreCodeFeature {
	key < f1e.flagPreCodeFeature
	1 < f1e.preCodeFeature
	default < preCodeFeature
}
f1e.evaluatedPreCodeFeature < f1e.tempPreCodeFeature
f1e.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f1e.flagPostCodeFeature = 1
f1e.flagPostCodeFeature.if.isTrue < f1e.postCodeFeature
f1e.tempPostCodeFeature = CASE
f1e.tempPostCodeFeature {
	key < f1e.flagPostCodeFeature
	1 < f1e.postCodeFeature
	default < postCodeFeature
}
f1e.evaluatedPostCodeFeature < f1e.tempPostCodeFeature
f1e.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f1e.flagPreCodeContent = 1
f1e.flagPreCodeContent.if.isTrue < f1e.preCodeContent
f1e.evaluatedPreCodeContent = CASE
f1e.evaluatedPreCodeContent {
	key < f1e.flagPreCodeContent
	1 < f1e.preCodeContent
	default < preCodeContent
}

f1e.flagPreCodeContentBlock-1 = 1
f1e.flagPreCodeContentBlock-1.if.isTrue < f1e.preContentBlock-1
f1e.evaluatedPreCodeContentBlock-1 = CASE
f1e.evaluatedPreCodeContentBlock-1 {
	key < f1e.flagPreCodeContentBlock-1
	1 < f1e.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f1e.flagPostCodeContentBlock-1 = 1
f1e.flagPostCodeContentBlock-1.if.isTrue < f1e.postContentBlock-1
f1e.evaluatedPostContentBlock-1 = CASE
f1e.evaluatedPostContentBlock-1 {
	key < f1e.flagPostCodeContentBlock-1
	1 < f1e.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f1e.flagPreCodeGeneratedContent-2 = 1
f1e.flagPreCodeGeneratedContent-2.if.isTrue < f1e.preCodeGeneratedContent-2
f1e.evaluatedPreCodeGeneratedContent-2 = CASE
f1e.evaluatedPreCodeGeneratedContent-2 {
	key < f1e.flagPreCodeGeneratedContent-2
	1 < f1e.preCodeGeneratedContent-2
	default < preCodeGeneratedContent-2
}

f1e.flagPostCodeGeneratedContent-2 = 1
f1e.flagPostCodeGeneratedContent-2.if.isTrue < f1e.postCodeGeneratedContent-2
f1e.evaluatedPostCodeGeneratedContent-2 = CASE
f1e.evaluatedPostCodeGeneratedContent-2 {
	key < f1e.flagPostCodeGeneratedContent-2
	1 < f1e.postCodeGeneratedContent-2
	default < postCodeGeneratedContent-2
}

f1e.flagPreCodeFooter = 1
f1e.flagPreCodeFooter.if.isTrue < f1e.preCodeFooter
f1e.evaluatedPreCodeFooter = CASE
f1e.evaluatedPreCodeFooter {
	key < f1e.flagPreCodeFooter
	1 < f1e.preCodeFooter
	default < preCodeFooter
}


f1e.flagFooter = 1
f1e.flagFooter.if.isTrue < f1e.footer
f1e.evaluatedFooter = CASE
f1e.evaluatedFooter {
	key < f1e.flagFooter
	1 < f1e.footer
	default < footer
}

f1e.flagPostCodeFooter = 1
f1e.flagPostCodeFooter.if.isTrue < f1e.postCodeFooter
f1e.evaluatedPostCodeFooter = CASE
f1e.evaluatedPostCodeFooter {
	key < f1e.flagPostCodeFooter
	1 < f1e.postCodeFooter
	default < postCodeFooter
}

f1f.flagPreCodeHeader = 1
f1f.flagPreCodeHeader.if.isTrue < f1f.preCodeHeader
f1f.evaluatedPreCodeHeader = CASE
f1f.evaluatedPreCodeHeader {
	key < f1f.flagPreCodeHeader
	1 < f1f.preCodeHeader
	default < preCodeHeader
}

f1f.flagHeader = 1
f1f.flagHeader.if.isTrue < f1f.header
f1f.evaluatedHeader = CASE
f1f.evaluatedHeader {
	key < f1f.flagHeader
	1 < f1f.header
	default < header
}

f1f.flagPostCodeHeader = 1
f1f.flagPostCodeHeader.if.isTrue < f1f.postCodeHeader
f1f.evaluatedPostCodeHeader = CASE
f1f.evaluatedPostCodeHeader {
	key < f1f.flagPostCodeHeader
	1 < f1f.postCodeHeader
	default < postCodeHeader
}

f1f.flagPreCodeFeature = 1
f1f.flagPreCodeFeature.if.isTrue < f1f.preCodeFeature
f1f.tempPreCodeFeature = CASE
f1f.tempPreCodeFeature {
	key < f1f.flagPreCodeFeature
	1 < f1f.preCodeFeature
	default < preCodeFeature
}
f1f.evaluatedPreCodeFeature < f1f.tempPreCodeFeature
f1f.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f1f.flagPostCodeFeature = 1
f1f.flagPostCodeFeature.if.isTrue < f1f.postCodeFeature
f1f.tempPostCodeFeature = CASE
f1f.tempPostCodeFeature {
	key < f1f.flagPostCodeFeature
	1 < f1f.postCodeFeature
	default < postCodeFeature
}
f1f.evaluatedPostCodeFeature < f1f.tempPostCodeFeature
f1f.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f1f.flagPreCodeContent = 1
f1f.flagPreCodeContent.if.isTrue < f1f.preCodeContent
f1f.evaluatedPreCodeContent = CASE
f1f.evaluatedPreCodeContent {
	key < f1f.flagPreCodeContent
	1 < f1f.preCodeContent
	default < preCodeContent
}

f1f.flagPreCodeGeneratedContent-1 = 1
f1f.flagPreCodeGeneratedContent-1.if.isTrue < f1f.preCodeGeneratedContent-1
f1f.evaluatedPreCodeGeneratedContent-1 = CASE
f1f.evaluatedPreCodeGeneratedContent-1 {
	key < f1f.flagPreCodeGeneratedContent-1
	1 < f1f.preCodeGeneratedContent-1
	default < preCodeGeneratedContent-1
}

f1f.flagPostCodeGeneratedContent-1 = 1
f1f.flagPostCodeGeneratedContent-1.if.isTrue < f1f.postCodeGeneratedContent-1
f1f.evaluatedPostCodeGeneratedContent-1 = CASE
f1f.evaluatedPostCodeGeneratedContent-1 {
	key < f1f.flagPostCodeGeneratedContent-1
	1 < f1f.postCodeGeneratedContent-1
	default < postCodeGeneratedContent-1
}


f1f.flagPreCodeContentBlock-1 = 1
f1f.flagPreCodeContentBlock-1.if.isTrue < f1f.preContentBlock-1
f1f.evaluatedPreCodeContentBlock-1 = CASE
f1f.evaluatedPreCodeContentBlock-1 {
	key < f1f.flagPreCodeContentBlock-1
	1 < f1f.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f1f.flagPostCodeContentBlock-1 = 1
f1f.flagPostCodeContentBlock-1.if.isTrue < f1f.postContentBlock-1
f1f.evaluatedPostContentBlock-1 = CASE
f1f.evaluatedPostContentBlock-1 {
	key < f1f.flagPostCodeContentBlock-1
	1 < f1f.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f1f.flagPreCodeGeneratedContent-2 = 1
f1f.flagPreCodeGeneratedContent-2.if.isTrue < f1f.preCodeGeneratedContent-2
f1f.evaluatedPreCodeGeneratedContent-2 = CASE
f1f.evaluatedPreCodeGeneratedContent-2 {
	key < f1f.flagPreCodeGeneratedContent-2
	1 < f1f.preCodeGeneratedContent-2
	default < preCodeGeneratedContent-2
}

f1f.flagPostCodeGeneratedContent-2 = 1
f1f.flagPostCodeGeneratedContent-2.if.isTrue < f1f.postCodeGeneratedContent-2
f1f.evaluatedPostCodeGeneratedContent-2 = CASE
f1f.evaluatedPostCodeGeneratedContent-2 {
	key < f1f.flagPostCodeGeneratedContent-2
	1 < f1f.postCodeGeneratedContent-2
	default < postCodeGeneratedContent-2
}

f1f.flagPreCodeFooter = 1
f1f.flagPreCodeFooter.if.isTrue < f1f.preCodeFooter
f1f.evaluatedPreCodeFooter = CASE
f1f.evaluatedPreCodeFooter {
	key < f1f.flagPreCodeFooter
	1 < f1f.preCodeFooter
	default < preCodeFooter
}


f1f.flagFooter = 1
f1f.flagFooter.if.isTrue < f1f.footer
f1f.evaluatedFooter = CASE
f1f.evaluatedFooter {
	key < f1f.flagFooter
	1 < f1f.footer
	default < footer
}

f1f.flagPostCodeFooter = 1
f1f.flagPostCodeFooter.if.isTrue < f1f.postCodeFooter
f1f.evaluatedPostCodeFooter = CASE
f1f.evaluatedPostCodeFooter {
	key < f1f.flagPostCodeFooter
	1 < f1f.postCodeFooter
	default < postCodeFooter
}

f2a.flagPreCodeHeader = 1
f2a.flagPreCodeHeader.if.isTrue < f2a.preCodeHeader
f2a.evaluatedPreCodeHeader = CASE
f2a.evaluatedPreCodeHeader {
	key < f2a.flagPreCodeHeader
	1 < f2a.preCodeHeader
	default < preCodeHeader
}

f2a.flagHeader = 1
f2a.flagHeader.if.isTrue < f2a.header
f2a.evaluatedHeader = CASE
f2a.evaluatedHeader {
	key < f2a.flagHeader
	1 < f2a.header
	default < header
}

f2a.flagPostCodeHeader = 1
f2a.flagPostCodeHeader.if.isTrue < f2a.postCodeHeader
f2a.evaluatedPostCodeHeader = CASE
f2a.evaluatedPostCodeHeader {
	key < f2a.flagPostCodeHeader
	1 < f2a.postCodeHeader
	default < postCodeHeader
}

f2a.flagPreCodeFeature = 1
f2a.flagPreCodeFeature.if.isTrue < f2a.preCodeFeature
f2a.tempPreCodeFeature = CASE
f2a.tempPreCodeFeature {
	key < f2a.flagPreCodeFeature
	1 < f2a.preCodeFeature
	default < preCodeFeature
}
f2a.evaluatedPreCodeFeature < f2a.tempPreCodeFeature
f2a.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f2a.flagPostCodeFeature = 1
f2a.flagPostCodeFeature.if.isTrue < f2a.postCodeFeature
f2a.tempPostCodeFeature = CASE
f2a.tempPostCodeFeature {
	key < f2a.flagPostCodeFeature
	1 < f2a.postCodeFeature
	default < postCodeFeature
}
f2a.evaluatedPostCodeFeature < f2a.tempPostCodeFeature
f2a.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f2a.flagPreCodeContent = 1
f2a.flagPreCodeContent.if.isTrue < f2a.preCodeContent
f2a.evaluatedPreCodeContent = CASE
f2a.evaluatedPreCodeContent {
	key < f2a.flagPreCodeContent
	1 < f2a.preCodeContent
	default < preCodeContent
}

f2a.flagPreCodeContentBlock-1 = 1
f2a.flagPreCodeContentBlock-1.if.isTrue < f2a.preContentBlock-1
f2a.evaluatedPreCodeContentBlock-1 = CASE
f2a.evaluatedPreCodeContentBlock-1 {
	key < f2a.flagPreCodeContentBlock-1
	1 < f2a.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f2a.flagPostCodeContentBlock-1 = 1
f2a.flagPostCodeContentBlock-1.if.isTrue < f2a.postContentBlock-1
f2a.evaluatedPostContentBlock-1 = CASE
f2a.evaluatedPostContentBlock-1 {
	key < f2a.flagPostCodeContentBlock-1
	1 < f2a.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f2a.flagPreCodeContentBlock-2 = 1
f2a.flagPreCodeContentBlock-2.if.isTrue < f2a.preContentBlock-2
f2a.evaluatedPreCodeContentBlock-2 = CASE
f2a.evaluatedPreCodeContentBlock-2 {
	key < f2a.flagPreCodeContentBlock-2
	1 < f2a.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f2a.flagPostCodeContentBlock-2 = 1
f2a.flagPostCodeContentBlock-2.if.isTrue < f2a.postContentBlock-2
f2a.evaluatedPostContentBlock-2 = CASE
f2a.evaluatedPostContentBlock-2 {
	key < f2a.flagPostCodeContentBlock-2
	1 < f2a.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f2a.flagPreCodeFooter = 1
f2a.flagPreCodeFooter.if.isTrue < f2a.preCodeFooter
f2a.evaluatedPreCodeFooter = CASE
f2a.evaluatedPreCodeFooter {
	key < f2a.flagPreCodeFooter
	1 < f2a.preCodeFooter
	default < preCodeFooter
}


f2a.flagFooter = 1
f2a.flagFooter.if.isTrue < f2a.footer
f2a.evaluatedFooter = CASE
f2a.evaluatedFooter {
	key < f2a.flagFooter
	1 < f2a.footer
	default < footer
}

f2a.flagPostCodeFooter = 1
f2a.flagPostCodeFooter.if.isTrue < f2a.postCodeFooter
f2a.evaluatedPostCodeFooter = CASE
f2a.evaluatedPostCodeFooter {
	key < f2a.flagPostCodeFooter
	1 < f2a.postCodeFooter
	default < postCodeFooter
}

f2b.flagPreCodeHeader = 1
f2b.flagPreCodeHeader.if.isTrue < f2b.preCodeHeader
f2b.evaluatedPreCodeHeader = CASE
f2b.evaluatedPreCodeHeader {
	key < f2b.flagPreCodeHeader
	1 < f2b.preCodeHeader
	default < preCodeHeader
}

f2b.flagHeader = 1
f2b.flagHeader.if.isTrue < f2b.header
f2b.evaluatedHeader = CASE
f2b.evaluatedHeader {
	key < f2b.flagHeader
	1 < f2b.header
	default < header
}

f2b.flagPostCodeHeader = 1
f2b.flagPostCodeHeader.if.isTrue < f2b.postCodeHeader
f2b.evaluatedPostCodeHeader = CASE
f2b.evaluatedPostCodeHeader {
	key < f2b.flagPostCodeHeader
	1 < f2b.postCodeHeader
	default < postCodeHeader
}

f2b.flagPreCodeFeature = 1
f2b.flagPreCodeFeature.if.isTrue < f2b.preCodeFeature
f2b.tempPreCodeFeature = CASE
f2b.tempPreCodeFeature {
	key < f2b.flagPreCodeFeature
	1 < f2b.preCodeFeature
	default < preCodeFeature
}
f2b.evaluatedPreCodeFeature < f2b.tempPreCodeFeature
f2b.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f2b.flagPostCodeFeature = 1
f2b.flagPostCodeFeature.if.isTrue < f2b.postCodeFeature
f2b.tempPostCodeFeature = CASE
f2b.tempPostCodeFeature {
	key < f2b.flagPostCodeFeature
	1 < f2b.postCodeFeature
	default < postCodeFeature
}
f2b.evaluatedPostCodeFeature < f2b.tempPostCodeFeature
f2b.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f2b.flagPreCodeContent = 1
f2b.flagPreCodeContent.if.isTrue < f2b.preCodeContent
f2b.evaluatedPreCodeContent = CASE
f2b.evaluatedPreCodeContent {
	key < f2b.flagPreCodeContent
	1 < f2b.preCodeContent
	default < preCodeContent
}

f2b.flagPreCodeContentBlock-1 = 1
f2b.flagPreCodeContentBlock-1.if.isTrue < f2b.preContentBlock-1
f2b.evaluatedPreCodeContentBlock-1 = CASE
f2b.evaluatedPreCodeContentBlock-1 {
	key < f2b.flagPreCodeContentBlock-1
	1 < f2b.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f2b.flagPostCodeContentBlock-1 = 1
f2b.flagPostCodeContentBlock-1.if.isTrue < f2b.postContentBlock-1
f2b.evaluatedPostContentBlock-1 = CASE
f2b.evaluatedPostContentBlock-1 {
	key < f2b.flagPostCodeContentBlock-1
	1 < f2b.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f2b.flagPreCodeContentBlock-2 = 1
f2b.flagPreCodeContentBlock-2.if.isTrue < f2b.preContentBlock-2
f2b.evaluatedPreCodeContentBlock-2 = CASE
f2b.evaluatedPreCodeContentBlock-2 {
	key < f2b.flagPreCodeContentBlock-2
	1 < f2b.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f2b.flagPostCodeContentBlock-2 = 1
f2b.flagPostCodeContentBlock-2.if.isTrue < f2b.postContentBlock-2
f2b.evaluatedPostContentBlock-2 = CASE
f2b.evaluatedPostContentBlock-2 {
	key < f2b.flagPostCodeContentBlock-2
	1 < f2b.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f2b.flagPreCodeFooter = 1
f2b.flagPreCodeFooter.if.isTrue < f2b.preCodeFooter
f2b.evaluatedPreCodeFooter = CASE
f2b.evaluatedPreCodeFooter {
	key < f2b.flagPreCodeFooter
	1 < f2b.preCodeFooter
	default < preCodeFooter
}


f2b.flagFooter = 1
f2b.flagFooter.if.isTrue < f2b.footer
f2b.evaluatedFooter = CASE
f2b.evaluatedFooter {
	key < f2b.flagFooter
	1 < f2b.footer
	default < footer
}

f2b.flagPostCodeFooter = 1
f2b.flagPostCodeFooter.if.isTrue < f2b.postCodeFooter
f2b.evaluatedPostCodeFooter = CASE
f2b.evaluatedPostCodeFooter {
	key < f2b.flagPostCodeFooter
	1 < f2b.postCodeFooter
	default < postCodeFooter
}

f2c.flagPreCodeHeader = 1
f2c.flagPreCodeHeader.if.isTrue < f2c.preCodeHeader
f2c.evaluatedPreCodeHeader = CASE
f2c.evaluatedPreCodeHeader {
	key < f2c.flagPreCodeHeader
	1 < f2c.preCodeHeader
	default < preCodeHeader
}

f2c.flagHeader = 1
f2c.flagHeader.if.isTrue < f2c.header
f2c.evaluatedHeader = CASE
f2c.evaluatedHeader {
	key < f2c.flagHeader
	1 < f2c.header
	default < header
}

f2c.flagPostCodeHeader = 1
f2c.flagPostCodeHeader.if.isTrue < f2c.postCodeHeader
f2c.evaluatedPostCodeHeader = CASE
f2c.evaluatedPostCodeHeader {
	key < f2c.flagPostCodeHeader
	1 < f2c.postCodeHeader
	default < postCodeHeader
}

f2c.flagPreCodeFeature = 1
f2c.flagPreCodeFeature.if.isTrue < f2c.preCodeFeature
f2c.tempPreCodeFeature = CASE
f2c.tempPreCodeFeature {
	key < f2c.flagPreCodeFeature
	1 < f2c.preCodeFeature
	default < preCodeFeature
}
f2c.evaluatedPreCodeFeature < f2c.tempPreCodeFeature
f2c.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f2c.flagPostCodeFeature = 1
f2c.flagPostCodeFeature.if.isTrue < f2c.postCodeFeature
f2c.tempPostCodeFeature = CASE
f2c.tempPostCodeFeature {
	key < f2c.flagPostCodeFeature
	1 < f2c.postCodeFeature
	default < postCodeFeature
}
f2c.evaluatedPostCodeFeature < f2c.tempPostCodeFeature
f2c.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f2c.flagPreCodeContent = 1
f2c.flagPreCodeContent.if.isTrue < f2c.preCodeContent
f2c.evaluatedPreCodeContent = CASE
f2c.evaluatedPreCodeContent {
	key < f2c.flagPreCodeContent
	1 < f2c.preCodeContent
	default < preCodeContent
}

f2c.flagPreCodeContentBlock-1 = 1
f2c.flagPreCodeContentBlock-1.if.isTrue < f2c.preContentBlock-1
f2c.evaluatedPreCodeContentBlock-1 = CASE
f2c.evaluatedPreCodeContentBlock-1 {
	key < f2c.flagPreCodeContentBlock-1
	1 < f2c.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f2c.flagPostCodeContentBlock-1 = 1
f2c.flagPostCodeContentBlock-1.if.isTrue < f2c.postContentBlock-1
f2c.evaluatedPostContentBlock-1 = CASE
f2c.evaluatedPostContentBlock-1 {
	key < f2c.flagPostCodeContentBlock-1
	1 < f2c.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f2c.flagPreCodeContentBlock-2 = 1
f2c.flagPreCodeContentBlock-2.if.isTrue < f2c.preContentBlock-2
f2c.evaluatedPreCodeContentBlock-2 = CASE
f2c.evaluatedPreCodeContentBlock-2 {
	key < f2c.flagPreCodeContentBlock-2
	1 < f2c.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f2c.flagPostCodeContentBlock-2 = 1
f2c.flagPostCodeContentBlock-2.if.isTrue < f2c.postContentBlock-2
f2c.evaluatedPostContentBlock-2 = CASE
f2c.evaluatedPostContentBlock-2 {
	key < f2c.flagPostCodeContentBlock-2
	1 < f2c.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f2c.flagPreCodeFooter = 1
f2c.flagPreCodeFooter.if.isTrue < f2c.preCodeFooter
f2c.evaluatedPreCodeFooter = CASE
f2c.evaluatedPreCodeFooter {
	key < f2c.flagPreCodeFooter
	1 < f2c.preCodeFooter
	default < preCodeFooter
}


f2c.flagFooter = 1
f2c.flagFooter.if.isTrue < f2c.footer
f2c.evaluatedFooter = CASE
f2c.evaluatedFooter {
	key < f2c.flagFooter
	1 < f2c.footer
	default < footer
}

f2c.flagPostCodeFooter = 1
f2c.flagPostCodeFooter.if.isTrue < f2c.postCodeFooter
f2c.evaluatedPostCodeFooter = CASE
f2c.evaluatedPostCodeFooter {
	key < f2c.flagPostCodeFooter
	1 < f2c.postCodeFooter
	default < postCodeFooter
}

f2d.flagPreCodeHeader = 1
f2d.flagPreCodeHeader.if.isTrue < f2d.preCodeHeader
f2d.evaluatedPreCodeHeader = CASE
f2d.evaluatedPreCodeHeader {
	key < f2d.flagPreCodeHeader
	1 < f2d.preCodeHeader
	default < preCodeHeader
}

f2d.flagHeader = 1
f2d.flagHeader.if.isTrue < f2d.header
f2d.evaluatedHeader = CASE
f2d.evaluatedHeader {
	key < f2d.flagHeader
	1 < f2d.header
	default < header
}

f2d.flagPostCodeHeader = 1
f2d.flagPostCodeHeader.if.isTrue < f2d.postCodeHeader
f2d.evaluatedPostCodeHeader = CASE
f2d.evaluatedPostCodeHeader {
	key < f2d.flagPostCodeHeader
	1 < f2d.postCodeHeader
	default < postCodeHeader
}

f2d.flagPreCodeFeature = 1
f2d.flagPreCodeFeature.if.isTrue < f2d.preCodeFeature
f2d.tempPreCodeFeature = CASE
f2d.tempPreCodeFeature {
	key < f2d.flagPreCodeFeature
	1 < f2d.preCodeFeature
	default < preCodeFeature
}
f2d.evaluatedPreCodeFeature < f2d.tempPreCodeFeature
f2d.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f2d.flagPostCodeFeature = 1
f2d.flagPostCodeFeature.if.isTrue < f2d.postCodeFeature
f2d.tempPostCodeFeature = CASE
f2d.tempPostCodeFeature {
	key < f2d.flagPostCodeFeature
	1 < f2d.postCodeFeature
	default < postCodeFeature
}
f2d.evaluatedPostCodeFeature < f2d.tempPostCodeFeature
f2d.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f2d.flagPreCodeContent = 1
f2d.flagPreCodeContent.if.isTrue < f2d.preCodeContent
f2d.evaluatedPreCodeContent = CASE
f2d.evaluatedPreCodeContent {
	key < f2d.flagPreCodeContent
	1 < f2d.preCodeContent
	default < preCodeContent
}

f2d.flagPreCodeGeneratedContent-1 = 1
f2d.flagPreCodeGeneratedContent-1.if.isTrue < f2d.preCodeGeneratedContent-1
f2d.evaluatedPreCodeGeneratedContent-1 = CASE
f2d.evaluatedPreCodeGeneratedContent-1 {
	key < f2d.flagPreCodeGeneratedContent-1
	1 < f2d.preCodeGeneratedContent-1
	default < preCodeGeneratedContent-1
}

f2d.flagPostCodeGeneratedContent-1 = 1
f2d.flagPostCodeGeneratedContent-1.if.isTrue < f2d.postCodeGeneratedContent-1
f2d.evaluatedPostCodeGeneratedContent-1 = CASE
f2d.evaluatedPostCodeGeneratedContent-1 {
	key < f2d.flagPostCodeGeneratedContent-1
	1 < f2d.postCodeGeneratedContent-1
	default < postCodeGeneratedContent-1
}


f2d.flagPreCodeContentBlock-1 = 1
f2d.flagPreCodeContentBlock-1.if.isTrue < f2d.preContentBlock-1
f2d.evaluatedPreCodeContentBlock-1 = CASE
f2d.evaluatedPreCodeContentBlock-1 {
	key < f2d.flagPreCodeContentBlock-1
	1 < f2d.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f2d.flagPostCodeContentBlock-1 = 1
f2d.flagPostCodeContentBlock-1.if.isTrue < f2d.postContentBlock-1
f2d.evaluatedPostContentBlock-1 = CASE
f2d.evaluatedPostContentBlock-1 {
	key < f2d.flagPostCodeContentBlock-1
	1 < f2d.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f2d.flagPreCodeContentBlock-2 = 1
f2d.flagPreCodeContentBlock-2.if.isTrue < f2d.preContentBlock-2
f2d.evaluatedPreCodeContentBlock-2 = CASE
f2d.evaluatedPreCodeContentBlock-2 {
	key < f2d.flagPreCodeContentBlock-2
	1 < f2d.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f2d.flagPostCodeContentBlock-2 = 1
f2d.flagPostCodeContentBlock-2.if.isTrue < f2d.postContentBlock-2
f2d.evaluatedPostContentBlock-2 = CASE
f2d.evaluatedPostContentBlock-2 {
	key < f2d.flagPostCodeContentBlock-2
	1 < f2d.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f2d.flagPreCodeFooter = 1
f2d.flagPreCodeFooter.if.isTrue < f2d.preCodeFooter
f2d.evaluatedPreCodeFooter = CASE
f2d.evaluatedPreCodeFooter {
	key < f2d.flagPreCodeFooter
	1 < f2d.preCodeFooter
	default < preCodeFooter
}


f2d.flagFooter = 1
f2d.flagFooter.if.isTrue < f2d.footer
f2d.evaluatedFooter = CASE
f2d.evaluatedFooter {
	key < f2d.flagFooter
	1 < f2d.footer
	default < footer
}

f2d.flagPostCodeFooter = 1
f2d.flagPostCodeFooter.if.isTrue < f2d.postCodeFooter
f2d.evaluatedPostCodeFooter = CASE
f2d.evaluatedPostCodeFooter {
	key < f2d.flagPostCodeFooter
	1 < f2d.postCodeFooter
	default < postCodeFooter
}

f2e.flagPreCodeHeader = 1
f2e.flagPreCodeHeader.if.isTrue < f2e.preCodeHeader
f2e.evaluatedPreCodeHeader = CASE
f2e.evaluatedPreCodeHeader {
	key < f2e.flagPreCodeHeader
	1 < f2e.preCodeHeader
	default < preCodeHeader
}

f2e.flagHeader = 1
f2e.flagHeader.if.isTrue < f2e.header
f2e.evaluatedHeader = CASE
f2e.evaluatedHeader {
	key < f2e.flagHeader
	1 < f2e.header
	default < header
}

f2e.flagPostCodeHeader = 1
f2e.flagPostCodeHeader.if.isTrue < f2e.postCodeHeader
f2e.evaluatedPostCodeHeader = CASE
f2e.evaluatedPostCodeHeader {
	key < f2e.flagPostCodeHeader
	1 < f2e.postCodeHeader
	default < postCodeHeader
}

f2e.flagPreCodeFeature = 1
f2e.flagPreCodeFeature.if.isTrue < f2e.preCodeFeature
f2e.tempPreCodeFeature = CASE
f2e.tempPreCodeFeature {
	key < f2e.flagPreCodeFeature
	1 < f2e.preCodeFeature
	default < preCodeFeature
}
f2e.evaluatedPreCodeFeature < f2e.tempPreCodeFeature
f2e.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f2e.flagPostCodeFeature = 1
f2e.flagPostCodeFeature.if.isTrue < f2e.postCodeFeature
f2e.tempPostCodeFeature = CASE
f2e.tempPostCodeFeature {
	key < f2e.flagPostCodeFeature
	1 < f2e.postCodeFeature
	default < postCodeFeature
}
f2e.evaluatedPostCodeFeature < f2e.tempPostCodeFeature
f2e.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f2e.flagPreCodeContent = 1
f2e.flagPreCodeContent.if.isTrue < f2e.preCodeContent
f2e.evaluatedPreCodeContent = CASE
f2e.evaluatedPreCodeContent {
	key < f2e.flagPreCodeContent
	1 < f2e.preCodeContent
	default < preCodeContent
}

f2e.flagPreCodeContentBlock-1 = 1
f2e.flagPreCodeContentBlock-1.if.isTrue < f2e.preContentBlock-1
f2e.evaluatedPreCodeContentBlock-1 = CASE
f2e.evaluatedPreCodeContentBlock-1 {
	key < f2e.flagPreCodeContentBlock-1
	1 < f2e.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f2e.flagPostCodeContentBlock-1 = 1
f2e.flagPostCodeContentBlock-1.if.isTrue < f2e.postContentBlock-1
f2e.evaluatedPostContentBlock-1 = CASE
f2e.evaluatedPostContentBlock-1 {
	key < f2e.flagPostCodeContentBlock-1
	1 < f2e.postCodeContentBlock-1
	default < postCodeContentBlock-1
}


f2e.flagPreCodeContentBlock-2 = 1
f2e.flagPreCodeContentBlock-2.if.isTrue < f2e.preContentBlock-2
f2e.evaluatedPreCodeContentBlock-2 = CASE
f2e.evaluatedPreCodeContentBlock-2 {
	key < f2e.flagPreCodeContentBlock-2
	1 < f2e.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f2e.flagPostCodeContentBlock-2 = 1
f2e.flagPostCodeContentBlock-2.if.isTrue < f2e.postContentBlock-2
f2e.evaluatedPostContentBlock-2 = CASE
f2e.evaluatedPostContentBlock-2 {
	key < f2e.flagPostCodeContentBlock-2
	1 < f2e.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f2e.flagPreCodeGeneratedContent-2 = 1
f2e.flagPreCodeGeneratedContent-2.if.isTrue < f2e.preCodeGeneratedContent-2
f2e.evaluatedPreCodeGeneratedContent-2 = CASE
f2e.evaluatedPreCodeGeneratedContent-2 {
	key < f2e.flagPreCodeGeneratedContent-2
	1 < f2e.preCodeGeneratedContent-2
	default < preCodeGeneratedContent-2
}

f2e.flagPostCodeGeneratedContent-2 = 1
f2e.flagPostCodeGeneratedContent-2.if.isTrue < f2e.postCodeGeneratedContent-2
f2e.evaluatedPostCodeGeneratedContent-2 = CASE
f2e.evaluatedPostCodeGeneratedContent-2 {
	key < f2e.flagPostCodeGeneratedContent-2
	1 < f2e.postCodeGeneratedContent-2
	default < postCodeGeneratedContent-2
}

f2e.flagPreCodeFooter = 1
f2e.flagPreCodeFooter.if.isTrue < f2e.preCodeFooter
f2e.evaluatedPreCodeFooter = CASE
f2e.evaluatedPreCodeFooter {
	key < f2e.flagPreCodeFooter
	1 < f2e.preCodeFooter
	default < preCodeFooter
}


f2e.flagFooter = 1
f2e.flagFooter.if.isTrue < f2e.footer
f2e.evaluatedFooter = CASE
f2e.evaluatedFooter {
	key < f2e.flagFooter
	1 < f2e.footer
	default < footer
}

f2e.flagPostCodeFooter = 1
f2e.flagPostCodeFooter.if.isTrue < f2e.postCodeFooter
f2e.evaluatedPostCodeFooter = CASE
f2e.evaluatedPostCodeFooter {
	key < f2e.flagPostCodeFooter
	1 < f2e.postCodeFooter
	default < postCodeFooter
}

f3a.flagPreCodeHeader = 1
f3a.flagPreCodeHeader.if.isTrue < f3a.preCodeHeader
f3a.evaluatedPreCodeHeader = CASE
f3a.evaluatedPreCodeHeader {
	key < f3a.flagPreCodeHeader
	1 < f3a.preCodeHeader
	default < preCodeHeader
}

f3a.flagHeader = 1
f3a.flagHeader.if.isTrue < f3a.header
f3a.evaluatedHeader = CASE
f3a.evaluatedHeader {
	key < f3a.flagHeader
	1 < f3a.header
	default < header
}

f3a.flagPostCodeHeader = 1
f3a.flagPostCodeHeader.if.isTrue < f3a.postCodeHeader
f3a.evaluatedPostCodeHeader = CASE
f3a.evaluatedPostCodeHeader {
	key < f3a.flagPostCodeHeader
	1 < f3a.postCodeHeader
	default < postCodeHeader
}

f3a.flagPreCodeFeature = 1
f3a.flagPreCodeFeature.if.isTrue < f3a.preCodeFeature
f3a.tempPreCodeFeature = CASE
f3a.tempPreCodeFeature {
	key < f3a.flagPreCodeFeature
	1 < f3a.preCodeFeature
	default < preCodeFeature
}
f3a.evaluatedPreCodeFeature < f3a.tempPreCodeFeature
f3a.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f3a.flagPostCodeFeature = 1
f3a.flagPostCodeFeature.if.isTrue < f3a.postCodeFeature
f3a.tempPostCodeFeature = CASE
f3a.tempPostCodeFeature {
	key < f3a.flagPostCodeFeature
	1 < f3a.postCodeFeature
	default < postCodeFeature
}
f3a.evaluatedPostCodeFeature < f3a.tempPostCodeFeature
f3a.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f3a.flagPreCodeContent = 1
f3a.flagPreCodeContent.if.isTrue < f3a.preCodeContent
f3a.evaluatedPreCodeContent = CASE
f3a.evaluatedPreCodeContent {
	key < f3a.flagPreCodeContent
	1 < f3a.preCodeContent
	default < preCodeContent
}

f3a.flagPreCodeContentBlock-1 = 1
f3a.flagPreCodeContentBlock-1.if.isTrue < f3a.preContentBlock-1
f3a.evaluatedPreCodeContentBlock-1 = CASE
f3a.evaluatedPreCodeContentBlock-1 {
	key < f3a.flagPreCodeContentBlock-1
	1 < f3a.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f3a.flagPostCodeContentBlock-1 = 1
f3a.flagPostCodeContentBlock-1.if.isTrue < f3a.postContentBlock-1
f3a.evaluatedPostContentBlock-1 = CASE
f3a.evaluatedPostContentBlock-1 {
	key < f3a.flagPostCodeContentBlock-1
	1 < f3a.postCodeContentBlock-1
	default < postCodeContentBlock-1
}

f3a.flagPreCodeContentBlock-2 = 1
f3a.flagPreCodeContentBlock-2.if.isTrue < f3a.preContentBlock-2
f3a.evaluatedPreCodeContentBlock-2 = CASE
f3a.evaluatedPreCodeContentBlock-2 {
	key < f3a.flagPreCodeContentBlock-2
	1 < f3a.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f3a.flagPostCodeContentBlock-2 = 1
f3a.flagPostCodeContentBlock-2.if.isTrue < f3a.postContentBlock-2
f3a.evaluatedPostContentBlock-2 = CASE
f3a.evaluatedPostContentBlock-2 {
	key < f3a.flagPostCodeContentBlock-2
	1 < f3a.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f3a.flagPreCodeContentBlock-3 = 1
f3a.flagPreCodeContentBlock-3.if.isTrue < f3a.preContentBlock-3
f3a.evaluatedPreCodeContentBlock-3 = CASE
f3a.evaluatedPreCodeContentBlock-3 {
	key < f3a.flagPreCodeContentBlock-3
	1 < f3a.preCodeContentBlock-3
	default < preCodeContentBlock-3
}

f3a.flagPostCodeContentBlock-3 = 1
f3a.flagPostCodeContentBlock-3.if.isTrue < f3a.postContentBlock-3
f3a.evaluatedPostContentBlock-3 = CASE
f3a.evaluatedPostContentBlock-3 {
	key < f3a.flagPostCodeContentBlock-3
	1 < f3a.postCodeContentBlock-3
	default < postCodeContentBlock-3
}

f3a.flagPreCodeFooter = 1
f3a.flagPreCodeFooter.if.isTrue < f3a.preCodeFooter
f3a.evaluatedPreCodeFooter = CASE
f3a.evaluatedPreCodeFooter {
	key < f3a.flagPreCodeFooter
	1 < f3a.preCodeFooter
	default < preCodeFooter
}


f3a.flagFooter = 1
f3a.flagFooter.if.isTrue < f3a.footer
f3a.evaluatedFooter = CASE
f3a.evaluatedFooter {
	key < f3a.flagFooter
	1 < f3a.footer
	default < footer
}

f3a.flagPostCodeFooter = 1
f3a.flagPostCodeFooter.if.isTrue < f3a.postCodeFooter
f3a.evaluatedPostCodeFooter = CASE
f3a.evaluatedPostCodeFooter {
	key < f3a.flagPostCodeFooter
	1 < f3a.postCodeFooter
	default < postCodeFooter
}

f3b.flagPreCodeHeader = 1
f3b.flagPreCodeHeader.if.isTrue < f3b.preCodeHeader
f3b.evaluatedPreCodeHeader = CASE
f3b.evaluatedPreCodeHeader {
	key < f3b.flagPreCodeHeader
	1 < f3b.preCodeHeader
	default < preCodeHeader
}

f3b.flagHeader = 1
f3b.flagHeader.if.isTrue < f3b.header
f3b.evaluatedHeader = CASE
f3b.evaluatedHeader {
	key < f3b.flagHeader
	1 < f3b.header
	default < header
}

f3b.flagPostCodeHeader = 1
f3b.flagPostCodeHeader.if.isTrue < f3b.postCodeHeader
f3b.evaluatedPostCodeHeader = CASE
f3b.evaluatedPostCodeHeader {
	key < f3b.flagPostCodeHeader
	1 < f3b.postCodeHeader
	default < postCodeHeader
}

f3b.flagPreCodeFeature = 1
f3b.flagPreCodeFeature.if.isTrue < f3b.preCodeFeature
f3b.tempPreCodeFeature = CASE
f3b.tempPreCodeFeature {
	key < f3b.flagPreCodeFeature
	1 < f3b.preCodeFeature
	default < preCodeFeature
}
f3b.evaluatedPreCodeFeature < f3b.tempPreCodeFeature
f3b.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f3b.flagPostCodeFeature = 1
f3b.flagPostCodeFeature.if.isTrue < f3b.postCodeFeature
f3b.tempPostCodeFeature = CASE
f3b.tempPostCodeFeature {
	key < f3b.flagPostCodeFeature
	1 < f3b.postCodeFeature
	default < postCodeFeature
}
f3b.evaluatedPostCodeFeature < f3b.tempPostCodeFeature
f3b.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f3b.flagPreCodeContent = 1
f3b.flagPreCodeContent.if.isTrue < f3b.preCodeContent
f3b.evaluatedPreCodeContent = CASE
f3b.evaluatedPreCodeContent {
	key < f3b.flagPreCodeContent
	1 < f3b.preCodeContent
	default < preCodeContent
}

f3b.flagPreCodeContentBlock-1 = 1
f3b.flagPreCodeContentBlock-1.if.isTrue < f3b.preContentBlock-1
f3b.evaluatedPreCodeContentBlock-1 = CASE
f3b.evaluatedPreCodeContentBlock-1 {
	key < f3b.flagPreCodeContentBlock-1
	1 < f3b.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f3b.flagPostCodeContentBlock-1 = 1
f3b.flagPostCodeContentBlock-1.if.isTrue < f3b.postContentBlock-1
f3b.evaluatedPostContentBlock-1 = CASE
f3b.evaluatedPostContentBlock-1 {
	key < f3b.flagPostCodeContentBlock-1
	1 < f3b.postCodeContentBlock-1
	default < postCodeContentBlock-1
}

f3b.flagPreCodeContentBlock-2 = 1
f3b.flagPreCodeContentBlock-2.if.isTrue < f3b.preContentBlock-2
f3b.evaluatedPreCodeContentBlock-2 = CASE
f3b.evaluatedPreCodeContentBlock-2 {
	key < f3b.flagPreCodeContentBlock-2
	1 < f3b.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f3b.flagPostCodeContentBlock-2 = 1
f3b.flagPostCodeContentBlock-2.if.isTrue < f3b.postContentBlock-2
f3b.evaluatedPostContentBlock-2 = CASE
f3b.evaluatedPostContentBlock-2 {
	key < f3b.flagPostCodeContentBlock-2
	1 < f3b.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f3b.flagPreCodeContentBlock-3 = 1
f3b.flagPreCodeContentBlock-3.if.isTrue < f3b.preContentBlock-3
f3b.evaluatedPreCodeContentBlock-3 = CASE
f3b.evaluatedPreCodeContentBlock-3 {
	key < f3b.flagPreCodeContentBlock-3
	1 < f3b.preCodeContentBlock-3
	default < preCodeContentBlock-3
}

f3b.flagPostCodeContentBlock-3 = 1
f3b.flagPostCodeContentBlock-3.if.isTrue < f3b.postContentBlock-3
f3b.evaluatedPostContentBlock-3 = CASE
f3b.evaluatedPostContentBlock-3 {
	key < f3b.flagPostCodeContentBlock-3
	1 < f3b.postCodeContentBlock-3
	default < postCodeContentBlock-3
}

f3b.flagPreCodeFooter = 1
f3b.flagPreCodeFooter.if.isTrue < f3b.preCodeFooter
f3b.evaluatedPreCodeFooter = CASE
f3b.evaluatedPreCodeFooter {
	key < f3b.flagPreCodeFooter
	1 < f3b.preCodeFooter
	default < preCodeFooter
}


f3b.flagFooter = 1
f3b.flagFooter.if.isTrue < f3b.footer
f3b.evaluatedFooter = CASE
f3b.evaluatedFooter {
	key < f3b.flagFooter
	1 < f3b.footer
	default < footer
}

f3b.flagPostCodeFooter = 1
f3b.flagPostCodeFooter.if.isTrue < f3b.postCodeFooter
f3b.evaluatedPostCodeFooter = CASE
f3b.evaluatedPostCodeFooter {
	key < f3b.flagPostCodeFooter
	1 < f3b.postCodeFooter
	default < postCodeFooter
}

f3c.flagPreCodeHeader = 1
f3c.flagPreCodeHeader.if.isTrue < f3c.preCodeHeader
f3c.evaluatedPreCodeHeader = CASE
f3c.evaluatedPreCodeHeader {
	key < f3c.flagPreCodeHeader
	1 < f3c.preCodeHeader
	default < preCodeHeader
}

f3c.flagHeader = 1
f3c.flagHeader.if.isTrue < f3c.header
f3c.evaluatedHeader = CASE
f3c.evaluatedHeader {
	key < f3c.flagHeader
	1 < f3c.header
	default < header
}

f3c.flagPostCodeHeader = 1
f3c.flagPostCodeHeader.if.isTrue < f3c.postCodeHeader
f3c.evaluatedPostCodeHeader = CASE
f3c.evaluatedPostCodeHeader {
	key < f3c.flagPostCodeHeader
	1 < f3c.postCodeHeader
	default < postCodeHeader
}

f3c.flagPreCodeFeature = 1
f3c.flagPreCodeFeature.if.isTrue < f3c.preCodeFeature
f3c.tempPreCodeFeature = CASE
f3c.tempPreCodeFeature {
	key < f3c.flagPreCodeFeature
	1 < f3c.preCodeFeature
	default < preCodeFeature
}
f3c.evaluatedPreCodeFeature < f3c.tempPreCodeFeature
f3c.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f3c.flagPostCodeFeature = 1
f3c.flagPostCodeFeature.if.isTrue < f3c.postCodeFeature
f3c.tempPostCodeFeature = CASE
f3c.tempPostCodeFeature {
	key < f3c.flagPostCodeFeature
	1 < f3c.postCodeFeature
	default < postCodeFeature
}
f3c.evaluatedPostCodeFeature < f3c.tempPostCodeFeature
f3c.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f3c.flagPreCodeContent = 1
f3c.flagPreCodeContent.if.isTrue < f3c.preCodeContent
f3c.evaluatedPreCodeContent = CASE
f3c.evaluatedPreCodeContent {
	key < f3c.flagPreCodeContent
	1 < f3c.preCodeContent
	default < preCodeContent
}

f3c.flagPreCodeContentBlock-1 = 1
f3c.flagPreCodeContentBlock-1.if.isTrue < f3c.preContentBlock-1
f3c.evaluatedPreCodeContentBlock-1 = CASE
f3c.evaluatedPreCodeContentBlock-1 {
	key < f3c.flagPreCodeContentBlock-1
	1 < f3c.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f3c.flagPostCodeContentBlock-1 = 1
f3c.flagPostCodeContentBlock-1.if.isTrue < f3c.postContentBlock-1
f3c.evaluatedPostContentBlock-1 = CASE
f3c.evaluatedPostContentBlock-1 {
	key < f3c.flagPostCodeContentBlock-1
	1 < f3c.postCodeContentBlock-1
	default < postCodeContentBlock-1
}

f3c.flagPreCodeContentBlock-2 = 1
f3c.flagPreCodeContentBlock-2.if.isTrue < f3c.preContentBlock-2
f3c.evaluatedPreCodeContentBlock-2 = CASE
f3c.evaluatedPreCodeContentBlock-2 {
	key < f3c.flagPreCodeContentBlock-2
	1 < f3c.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f3c.flagPostCodeContentBlock-2 = 1
f3c.flagPostCodeContentBlock-2.if.isTrue < f3c.postContentBlock-2
f3c.evaluatedPostContentBlock-2 = CASE
f3c.evaluatedPostContentBlock-2 {
	key < f3c.flagPostCodeContentBlock-2
	1 < f3c.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f3c.flagPreCodeContentBlock-3 = 1
f3c.flagPreCodeContentBlock-3.if.isTrue < f3c.preContentBlock-3
f3c.evaluatedPreCodeContentBlock-3 = CASE
f3c.evaluatedPreCodeContentBlock-3 {
	key < f3c.flagPreCodeContentBlock-3
	1 < f3c.preCodeContentBlock-3
	default < preCodeContentBlock-3
}

f3c.flagPostCodeContentBlock-3 = 1
f3c.flagPostCodeContentBlock-3.if.isTrue < f3c.postContentBlock-3
f3c.evaluatedPostContentBlock-3 = CASE
f3c.evaluatedPostContentBlock-3 {
	key < f3c.flagPostCodeContentBlock-3
	1 < f3c.postCodeContentBlock-3
	default < postCodeContentBlock-3
}

f3c.flagPreCodeFooter = 1
f3c.flagPreCodeFooter.if.isTrue < f3c.preCodeFooter
f3c.evaluatedPreCodeFooter = CASE
f3c.evaluatedPreCodeFooter {
	key < f3c.flagPreCodeFooter
	1 < f3c.preCodeFooter
	default < preCodeFooter
}


f3c.flagFooter = 1
f3c.flagFooter.if.isTrue < f3c.footer
f3c.evaluatedFooter = CASE
f3c.evaluatedFooter {
	key < f3c.flagFooter
	1 < f3c.footer
	default < footer
}

f3c.flagPostCodeFooter = 1
f3c.flagPostCodeFooter.if.isTrue < f3c.postCodeFooter
f3c.evaluatedPostCodeFooter = CASE
f3c.evaluatedPostCodeFooter {
	key < f3c.flagPostCodeFooter
	1 < f3c.postCodeFooter
	default < postCodeFooter
}

f3d.flagPreCodeHeader = 1
f3d.flagPreCodeHeader.if.isTrue < f3d.preCodeHeader
f3d.evaluatedPreCodeHeader = CASE
f3d.evaluatedPreCodeHeader {
	key < f3d.flagPreCodeHeader
	1 < f3d.preCodeHeader
	default < preCodeHeader
}

f3d.flagHeader = 1
f3d.flagHeader.if.isTrue < f3d.header
f3d.evaluatedHeader = CASE
f3d.evaluatedHeader {
	key < f3d.flagHeader
	1 < f3d.header
	default < header
}

f3d.flagPostCodeHeader = 1
f3d.flagPostCodeHeader.if.isTrue < f3d.postCodeHeader
f3d.evaluatedPostCodeHeader = CASE
f3d.evaluatedPostCodeHeader {
	key < f3d.flagPostCodeHeader
	1 < f3d.postCodeHeader
	default < postCodeHeader
}

f3d.flagPreCodeFeature = 1
f3d.flagPreCodeFeature.if.isTrue < f3d.preCodeFeature
f3d.tempPreCodeFeature = CASE
f3d.tempPreCodeFeature {
	key < f3d.flagPreCodeFeature
	1 < f3d.preCodeFeature
	default < preCodeFeature
}
f3d.evaluatedPreCodeFeature < f3d.tempPreCodeFeature
f3d.evaluatedPreCodeFeature.if.isFalse.data = register:noFeatureContentFlag


f3d.flagPostCodeFeature = 1
f3d.flagPostCodeFeature.if.isTrue < f3d.postCodeFeature
f3d.tempPostCodeFeature = CASE
f3d.tempPostCodeFeature {
	key < f3d.flagPostCodeFeature
	1 < f3d.postCodeFeature
	default < postCodeFeature
}
f3d.evaluatedPostCodeFeature < f3d.tempPostCodeFeature
f3d.evaluatedPostCodeFeature.if.isFalse.data = register:noFeatureContentFlag

f3d.flagPreCodeContent = 1
f3d.flagPreCodeContent.if.isTrue < f3d.preCodeContent
f3d.evaluatedPreCodeContent = CASE
f3d.evaluatedPreCodeContent {
	key < f3d.flagPreCodeContent
	1 < f3d.preCodeContent
	default < preCodeContent
}

f3d.flagPreCodeContentBlock-1 = 1
f3d.flagPreCodeContentBlock-1.if.isTrue < f3d.preContentBlock-1
f3d.evaluatedPreCodeContentBlock-1 = CASE
f3d.evaluatedPreCodeContentBlock-1 {
	key < f3d.flagPreCodeContentBlock-1
	1 < f3d.preCodeContentBlock-1
	default < preCodeContentBlock-1
}

f3d.flagPostCodeContentBlock-1 = 1
f3d.flagPostCodeContentBlock-1.if.isTrue < f3d.postContentBlock-1
f3d.evaluatedPostContentBlock-1 = CASE
f3d.evaluatedPostContentBlock-1 {
	key < f3d.flagPostCodeContentBlock-1
	1 < f3d.postCodeContentBlock-1
	default < postCodeContentBlock-1
}

f3d.flagPreCodeContentBlock-2 = 1
f3d.flagPreCodeContentBlock-2.if.isTrue < f3d.preContentBlock-2
f3d.evaluatedPreCodeContentBlock-2 = CASE
f3d.evaluatedPreCodeContentBlock-2 {
	key < f3d.flagPreCodeContentBlock-2
	1 < f3d.preCodeContentBlock-2
	default < preCodeContentBlock-2
}

f3d.flagPostCodeContentBlock-2 = 1
f3d.flagPostCodeContentBlock-2.if.isTrue < f3d.postContentBlock-2
f3d.evaluatedPostContentBlock-2 = CASE
f3d.evaluatedPostContentBlock-2 {
	key < f3d.flagPostCodeContentBlock-2
	1 < f3d.postCodeContentBlock-2
	default < postCodeContentBlock-2
}

f3d.flagPreCodeContentBlock-3 = 1
f3d.flagPreCodeContentBlock-3.if.isTrue < f3d.preContentBlock-3
f3d.evaluatedPreCodeContentBlock-3 = CASE
f3d.evaluatedPreCodeContentBlock-3 {
	key < f3d.flagPreCodeContentBlock-3
	1 < f3d.preCodeContentBlock-3
	default < preCodeContentBlock-3
}

f3d.flagPostCodeContentBlock-3 = 1
f3d.flagPostCodeContentBlock-3.if.isTrue < f3d.postContentBlock-3
f3d.evaluatedPostContentBlock-3 = CASE
f3d.evaluatedPostContentBlock-3 {
	key < f3d.flagPostCodeContentBlock-3
	1 < f3d.postCodeContentBlock-3
	default < postCodeContentBlock-3
}

f3d.flagPreCodeFooter = 1
f3d.flagPreCodeFooter.if.isTrue < f3d.preCodeFooter
f3d.evaluatedPreCodeFooter = CASE
f3d.evaluatedPreCodeFooter {
	key < f3d.flagPreCodeFooter
	1 < f3d.preCodeFooter
	default < preCodeFooter
}


f3d.flagFooter = 1
f3d.flagFooter.if.isTrue < f3d.footer
f3d.evaluatedFooter = CASE
f3d.evaluatedFooter {
	key < f3d.flagFooter
	1 < f3d.footer
	default < footer
}

f3d.flagPostCodeFooter = 1
f3d.flagPostCodeFooter.if.isTrue < f3d.postCodeFooter
f3d.evaluatedPostCodeFooter = CASE
f3d.evaluatedPostCodeFooter {
	key < f3d.flagPostCodeFooter
	1 < f3d.postCodeFooter
	default < postCodeFooter
}









###  Defines the page object and uses TemplaVoila to render the page ###
page = PAGE
page {
	typeNum = 0
	config {
		# Set up XHTML Transitional output
		xmlprologue = none
		doctype = xhtml_trans

		# Get rid of extra comments in the XHTML output.
		disablePrefixComment = 1

		# Turn off the page title since we'll manually add it later.
		noPageTitle = 2

		# Enabled indexed search indexing.
		index_enable = 1
  
		# Clear the cache at midnight so that scheduled content appears on time.
		cache_clearAtMidnight = 1

		# Shorten email links using MD5 Hash.
		notification_email_urlmode = 76

		# Add the URL in front of local anchors to account for base URL.
		prefixLocalAnchors = all
	}

	headerData {
		# Set the new page title
		1 = COA
		1 {
			wrap = <title> | </title>

			1 = TEXT
			1.data = TSFE:page|title
			1.htmlSpecialChars = 1

			# Don't repeat the same title twice.
			2 = TEXT
			2.noTrimWrap = | &#124; {$siteTitle} |
			2.if {
				value.data = TSFE:page|title
				equals = {$siteTitle}
				negate = 1
			}
		}

		2 < additionalDocHeadCode

	}

	includeCSS.tf_skin_main = {$templavoila_framework.skinPath}css/mainstyles.css
	includeCSS.tf_skin_rte = {$templavoila_framework.skinPath}css/rte.css

	includeJS.tf_skin = {$templavoila_framework.skinPath}js/skin.js
}

[globalVar = LIT:1 = {$enableJQuery}]
page {
	includeJSlibs.tf_jquery = {$templavoila_framework.corePath}js/jquery-1.4.2.min.js
	includeJSlibs.tf_jquery.forceOnTop = 1

	includeJS.tf_core = {$templavoila_framework.corePath}js/core.js
	
	jsInline {
		1 = TEXT
		1.dataWrap = jQuery.noConflict();
	}
}
[global]

# Let TemplaVoila render the page content.
page.10 = USER
page.10.userFunc = tx_templavoila_pi1->main_page
page.10.disableExplosivePreview = 1
plugin.tx_templavoila_pi1.disableExplosivePreview = 1
