<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

require_once(t3lib_extMgm::extPath('templavoila_framework') . 'class.tx_templavoilaframework_skinselector.php');

// Define the TCA for the access control calendar selector.
$skinSelector = array(
	'skin_selector' => array(
		'exclude' => 1,
		'label' => 'LLL:EXT:templavoila_framework/locallang_db.php:skinSelectorLabel',
		'displayCond' => 'FIELD:root:REQ:true',
		'config' => array(
			'type' => 'user',
			'userFunc' => 'tx_templavoilaframework_skinselector->display',
		)
	),
);

// Add the skin selector for backend users.
t3lib_div::loadTCA('sys_template');
t3lib_extMgm::addTCAcolumns('sys_template', $skinSelector);
t3lib_extMgm::addToAllTCAtypes('sys_template', '--div--;LLL:EXT:templavoila_framework/locallang_db.php:skinSelectorTab, skin_selector');

$pageDSPath = 'EXT:' . $_EXTKEY . '/core_templates/datastructures/page/';
$fceDSPath = 'EXT:' . $_EXTKEY . '/core_templates/datastructures/fce/';

// Add Page Data Structures
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'F1 Series: Feature and Primary Content',
	'path' => $pageDSPath . 'f1 (page).xml',
	'icon' => '',
	'scope' => 1,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'F2 Series: Feature and Primary Content',
	'path' => $pageDSPath . 'f2 (page).xml',
	'icon' => '',
	'scope' => 1,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'F3 Series: Feature and Primary Content',
	'path' => $pageDSPath . 'f3 (page).xml',
	'icon' => '',
	'scope' => 1,
);

// Add FCE Data Structures
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => '2 Column Group',
	'path' => $fceDSPath . '2col (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => '3 Column Group',
	'path' => $fceDSPath . '3col (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => '4 Column Group',
	'path' => $fceDSPath . '4col (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'M1: Single Module Group',
	'path' => $fceDSPath . '1mod (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'M2: Dual Module Group',
	'path' => $fceDSPath . '2mod (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'M3: Triple Module Group',
	'path' => $fceDSPath . '3mod (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'M4: Quad Module Group',
	'path' => $fceDSPath . '4mod (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'Plain Image',
	'path' => $fceDSPath . 'plain_image (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'Module Feature Image',
	'path' => $fceDSPath . 'feature_image (fce).xml',
	'icon' => '',
	'scope' => 2,
);
$GLOBALS['TBE_MODULES_EXT']['xMOD_tx_templavoila_cm1']['staticDataStructures'][] = array(
	'title' => 'HTML Wrapper',
	'path' => $fceDSPath . 'html_wrapper (fce).xml',
	'icon' => '',
	'scope' => 2,
);


// Only show the current FCE icon.
t3lib_div::loadTCA('tt_content');
$GLOBALS['TCA']['tt_content']['columns']['tx_templavoila_to']['config']['suppress_icons'] = 'ONLY_SELECTED';

?>
